create database if not exists AnP character set utf8mb4 collate utf8mb4_general_ci;
use AnP;

delimiter ;^
	
	drop function if exists locates_groups_validate;^
	create function locates_groups_validate(
		$id integer,
		$undeleted boolean
	) returns integer begin
		return (case 
			when $id is null then 1 << 0 
			when $id < 1 then 1 << 1 
		else ifnull((
			select if($undeleted, if(deleted is null, 0, 1 << 3), if(deleted is null, 1 << 3, 0)) from LocatesGroups where id = $id limit 1
		), 1 << 2) end);
	end;^

delimiter ;