create database if not exists AnP character set utf8mb4 collate utf8mb4_general_ci;
use AnP;

delimiter ;^
	
	drop function if exists settings_groups_validate;^
	create function settings_groups_validate(
		$settings integer,
		`$group` integer
	) returns integer begin

		declare $error integer default 0;

		set $error := $error | (settings_validate($settings, false) << 0);
		set $error := $error | (groups_validate(`$group`, false) << 4);

		if !$error then 
			set $error := $error | ($error, ifnull((
				select if(belongs, 0, 1 << 1) from _SettingsGroups where settings = $settings && `group` = `$group` limit 1
			), 1 << 0) << 8);
		end if;

		return $error;
	end;^

delimiter ;