<?php

    namespace AnP\Controllers;

    class System extends \AnP\Controller{

        public function __construct($anp){
            parent::__construct($anp, $this);
        }

        public function get_languages_id(){

            $this->execute()->get_languages_id();
            
        }

        public function get_file(){

            try{

                $response = $this->execute()->get_file();

                if($this->anp->errors->has($response["error"])){
                    $this->json_response([
                        "error" => $response["error"],
                        "message" => "load_file_error"
                    ]);
                    return;
                };

                header("Content-type: " . $response["type"]);
                echo file_get_contents($response["path"]);
                exit(0);

            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

    };