<?php

    namespace AnP\Controllers;

    class Users extends \AnP\Controller{

        public function __construct($anp){
            parent::__construct($anp, $this);

            $this->entity = "Users";
            $this->class = get_class($this);

        }

        /*public function add(){

            $this->json($this->anp->connections->get($this->default_key())->query(
                "call users_add({session}, {nick}, {password}, @error);", [
                    "nick" => $this->request("nick"),
                    "password" => $this->request("password")
                ]
            ), 200);

        }

        public function list(){

            $this->json(function(){return $this->anp->connections->get($this->default_key())->query(
                "call users_list({session}, {page}, @error, @id);"
            )}, 200);

        }*/

        // public function list(){

        //     $this->execute()->list();

        // }

        public function list(){

            try{
                $this->execute()->list();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function add(){

            try{
                $this->execute()->add();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function load(){

            try{
                $this->execute()->load();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function edit(){

            try{
                $this->execute()->edit();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function delete(){

            try{
                $this->execute()->delete();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function deleted(){

            try{
                $this->execute()->deleted();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function undelete(){

            try{
                $this->execute()->undelete();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function history(){

            try{
                $this->execute()->history();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function restore(){

            try{
                $this->execute()->restore();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function reset_password(){

            try{
                $this->execute()->reset_password();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

    };
