<?php 

    namespace AnP\Controllers\Exceptions;

    class SQLServer extends \AnP\Controller{

        protected $key = "AnP_sqlserver";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "execute dbo.exceptions_add {session}, {own_error}, {own_parameters}, {messages}, {status}, {code}, @error, output @id output"
            ), [
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters"),
                "messages" => $this->request("messages"),
                "status" => $this->request("status"),
                "code" => $this->request("code")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "execute dbo.exceptions_list {session}, {own_error}, {own_parameters}, {messages}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages output, @results output, @error output"
            )
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters"),
                "messages" => $this->request("messages")));
            
        }

    };
