<?php 

    namespace AnP\Controllers\Procedures;

    class SQLServer extends \AnP\Controller{

        protected $key = "AnP_sqlserver";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "execute dbo.procedures_add {session}, {database}, {name}, @error, output @id output"
            ), [
                "database" => $this->request("database"),
                "name" => $this->request("name")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "execute dbo.procedures_list {session}, {database}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages output, @results output, @error output"
            )
                "database" => $this->request("database")));
            
        }

    };
