AnP.Events = function(anp, input){

    const self = this,
          events = [];

    const construct = () => {};

    this.execute = (...arguments) => events.forEach(event => event && event.apply(null, arguments));

    this.add = method => {
        if(typeof method != "function")
            return null;

        let i = 0;
        const l = events.length;

        for(; i < l; i ++)
            if(!events[i])
                break;

        events[i] = method;

        return i;
    };

    this.remove = i => !isNaN(i) && events[i] && (events[i] = null);

    construct();

};
