AnP.Exceptions = function(anp, input){

    const self = this;
    let started = false;

    const construct = () => {};

    this.start = callback => {

        const end = status => anp.is_function(callback) && callback(status);

        if(started){
            end(false);
            return false;
        };
        started = true;

        end(true);

        return true;
    };

    this.refresh = (item, event) => anp.comp.tables.fill(
        item, 
        anp.anp_route() + "/administration/exceptions/list", 
        {}, 
        null, // callback
        "exceptions_refresh_error", 
        anp.sessions.get_errors_list().concat([])
    );

    construct();

};