#!/usr/bin/env python
# -*- coding: utf-8 -*-

class Anonymous(AnP.Controller): # AnP.Controllers.Users

    def get_guest(self, connections, variables):

        ip = self.request("ip")
        response = self.anp.procedure_get("users").create_guest(ip)

        response["ip"] = ip

        return self.json(response)

    def register(self, connections, variables):
        return self.json(self.anp.procedure_get("users").create(self.request("session"), self.request(["name", "nick"]), self.request("password"), self.request("email")))

    def login(self, connections, variables):

        ip = self.request("ip")
        response = self.anp.procedure_get("users").login(self.request("session"), self.request(["name", "nick"]), self.request("password"), ip)

        response["ip"] = ip

        return self.json(response)

    def logout(self, connections, variables):
        return self.json(self.anp.procedure_get("users").logout(self.request("session")))

    def refresh(self, connections, variables):

        response = self.anp.procedure_get("users").refresh(self.request("session"))

        response["ip"] = self.request("ip")

        return self.json(response)

if "AnP" not in globals():
    class AnP:
        pass
if not hasattr(AnP, "Controllers"):
    class Controllers:
        pass
    AnP.Controllers = Controllers
    del globals()["Controllers"]
AnP.Controllers.Users = Anonymous
del globals()["Anonymous"]
