update _Users set accessible = 1 where id = (select id from _Users where nick not in ('machine', 'guest') order by "data" desc limit 1);
update UsersData set accessible = 1 where id = (select "data" from _Users where nick not in ('machine', 'guest') order by "data" desc limit 1);
insert into GroupsUsers("session", "group", "user", belong) select 
	(select id from Sessions where "user" = (select "data" from _Users where nick = 'machine' limit 1) limit 1) as 'session',
	(select "group" from _Groups where name = 'administrator' limit 1) as 'group',
	(select "user" from _Users where nick not in ('machine', 'guest') order by "data" desc limit 1) as 'user',
	true as belong
from Groups where ifnull((select false from _GroupsUsers where 
	belong and 
	"group" = (select "group" from _Groups where name = 'administrator' limit 1) and 
	"user" = (select "user" from _Users where nick not in ('machine', 'guest') order by "data" desc limit 1)
), true) limit 1;
delete from _GroupsUsers;
insert into _GroupsUsers("session", "data", "group", "user", date_in, changes, name) 
	select "session", id, "group", "user", date_in, changes, name from GroupsUsersView order by id asc;
update _Ips set accessible = 1 where id = (select id from _Ips where address not in ('::1') order by "data" desc limit 1);
update IpsData set accessible = 1 where id = (select "data" from _Ips where address not in ('::1') order by "data" desc limit 1);