use AnP;

delimiter ;^

	drop procedure if exists __TEST__sessions_register;^
	create procedure __TEST__sessions_register() begin 

		declare $error varchar(512);
		declare `$session` text default concat((select id from Sessions where date_out is null order by id desc limit 1), ',::1,AnP Machine DB Server');
		declare $session_id integer;
		declare $ip_id integer;
		declare $user_agent_id integer;
		declare $id integer;
		declare `$user` varchar(32);
		declare $timeout integer;
	
		call sessions_validate_full(`$session`, null, $error, $session_id, $ip_id, $user_agent_id);
		select `$session`, $error, errors_to_integer($error), $session_id, $ip_id, $user_agent_id;
		-- call errors_get_data('sessions_validate_full', $error, true);

		if errors_has($error) then begin
			call sessions_get_guest(null, $error, $session_id, `$user`, $timeout);
			select $error, $session_id, errors_to_integer($error), `$user`, $timeout;
			-- call errors_get_data('sessions_get_guest', $error, true);
			set `$session` := concat($session_id, ',::1,AnP Machine DB Server');
		end;else begin 
			call sessions_update(`$session`, $error, `$user`, $timeout);
			select $error, errors_to_integer($error), `$user`, $timeout;
			-- call errors_get_data('sessions_update', $error, true);
		end;end if;

		call sessions_register(`$session`, 'asd5', 'j2@j.j', 'a2A_', $error, $id);
		select $error, $id, errors_to_integer($error);
		-- call errors_get_data('sessions_register', $error, true);

		select * from _Users;
		select * from _UsersGroups;

		if false then begin 
			select * from ExceptionsFullView order by id desc;
			select * from LogsFullView order by id desc;
		end;end if;

	end;^
	
	drop procedure if exists __TEST__sessions_login;^
	create procedure __TEST__sessions_login() begin 
		
		declare $error varchar(512);
		declare `$session` text default concat((select id from Sessions where date_out is null order by id desc limit 1), ',::1,AnP Machine DB Server');
		declare $session_id integer;
		declare $ip_id integer;
		declare $user_agent_id integer;
		declare $id integer;
		declare `$user` varchar(32);
		declare $timeout integer;
		
	end;^

	call __TEST__sessions_register();^
	
	drop procedure if exists __TEST__sessions_register;^
	
delimiter ;