if (select top 1 1 from sys.databases where name = 'AnP') is null create database AnP
go
use AnP

if object_id(N'dbo.settings_validate', N'FN') is not null drop function dbo.settings_validate
go
create function dbo.settings_validate(
	@entity integer,
	@undeleted bit
) returns integer begin
	return (case 
		when @entity is null then dbo.bw(1, 0) 
		when @entity < 1 then dbo.bw(1, 1) 
	else isnull((
		select top 1 (case 
			when @undeleted = 1 then (case when deleted is null then 0 else dbo.bw(1, 3) end) 
			else (case when deleted is null then dbo.bw(1, 3) else 0 end) 
		end) from dbo._Settings where entity = @entity
	), dbo.bw(1, 2)) end)
end
go