if (select top 1 1 from sys.databases where name = 'AnP') is null create database AnP
go
use AnP

if object_id(N'dbo.users_emails_validate', N'FN') is not null drop function dbo.users_emails_validate
go
create function dbo.users_emails_validate(
	@user integer,
	@email integer
) returns integer begin

	declare @error integer = 0

	set @error = @error | dbo.bw(dbo.users_validate(@user, 0), 0)
	set @error = @error | dbo.bw(dbo.emails_validate(@email, 0), 4)

	if @error = 0 
		set @error = @error | dbo.bw(isnull((
			select top 1 (case when belongs = 1 then 0 else dbo.bw(1, 1) end) from dbo._UsersEmails where [user] = @user and email = @email
		), dbo.bw(1, 0)), 8)

	return @error
end
go