if (select top 1 1 from sys.databases where name = 'AnP') is null create database AnP
go
use AnP

if object_id(N'dbo.settings_groups_validate', N'FN') is not null drop function dbo.settings_groups_validate
go
create function dbo.settings_groups_validate(
	@settings integer,
	@group integer
) returns integer begin

	declare @error integer = 0

	set @error = @error | dbo.bw(dbo.settings_validate(@settings, 0), 0)
	set @error = @error | dbo.bw(dbo.groups_validate(@group, 0), 4)

	if @error = 0 
		set @error = @error | dbo.bw(isnull((
			select top 1 (case when belongs = 1 then 0 else dbo.bw(1, 1) end) from dbo._SettingsGroups where settings = @settings and [group] = @group
		), dbo.bw(1, 0)), 8)

	return @error
end
go