[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Settings.php

```txt
/PHP/AnP.Settings.php
```

## [[plain AnP\Settings->default]]

[[wdoc
Método object.
@name       AnP\Settings->default
@see	AnP\Settings->get
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	9675d9605de43102f8294773514b4151
#$default	- required Parámetro $default
#$nulls	- required Parámetro $nulls
#return	- - Retorno.
]]

## [[plain AnP\Settings->get]]

[[wdoc
Método object.
@name       AnP\Settings->get
@see	AnP\Settings->default
@see	AnP::is_dictionary
@see	AnP\Settings->get
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	2101e35a3cd0cba6a84357ba1f1a0b0c
#$names	- required Parámetro $names
#$inputs	- required Parámetro $inputs
#$default	- required Parámetro $default
#$nulls	- required Parámetro $nulls
#return	- - Retorno.
]]

## [[plain AnP\Settings->add_secrets]]

[[wdoc
Método object.
@name       AnP\Settings->add_secrets
@see	AnP::is_dictionary
@see	AnP\Settings->add_secrets
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	7357939d6af30948a94e65773e7c3ae6
#$secrets	- optional Parámetro $secrets
]]

## [[plain AnP\Settings->add]]

[[wdoc
Método object.
@name       AnP\Settings->add
@see	AnP\Settings->get
@see	AnP::is_dictionary
@see	AnP\Settings->add
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	95b0def49fdd3284eecdeea6bcdd993c
#$inputs	- optional Parámetro $inputs
#$overwrite	- required Parámetro $overwrite
]]

## [[plain AnP\Settings->start]]

[[wdoc
Método object.
@name       AnP\Settings->start
@see        AnP\Settings->add
@see        AnP\Settings->get
@see        AnP\Settings->add_secrets
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       48cb92ba40dbcf425af149b0784b5b94
]]

## [[plain AnP\Settings->__construct]]

[[wdoc
Método constructor.
@name       AnP\Settings->__construct
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       80cf030f90df75f48f6f7f9671062c30
#$anp	- optional Parámetro $anp
#$input	- required Parámetro $input
]]

[[html_data {
    "title" : "AnP.Settings.php - AnP",
    "url" : "https://anp.k3y.pw//PHP/AnP.Settings.php.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,settings",
    "description" : "AnP.Settings.php del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
