[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Ajax.ecma.js

```txt
/Public/ecma/AnP.Ajax.ecma.js
```

## [[plain AnP.Ajax.construct]]

[[wdoc
Método object.
@name       AnP.Ajax.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Ajax.start]]

[[wdoc
Método object.
@name       AnP.Ajax.start
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	76412d28ac9d10ad7669f95cca8fe346
#callback	- optional Parámetro callback
]]

## [[plain AnP.Ajax.date_format]]

[[wdoc
Método object.
@name       AnP.Ajax.date_format
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       630630b4583e2092b3d0f376d3bb3251
#date	- optional Parámetro date
#return	- - Retorno.
]]

## [[plain AnP.Ajax.load]]

[[wdoc
Método object.
@name       AnP.Ajax.load
@see	AnP.is_function
@see	AnP.is_object
@see	AnP.is_string
@see	AnP.settings_get
@see	AnP.is_bool
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	6ed5099f37a55df8db15382f8bea7597
#input	- optional Parámetro input
#variables	- optional Parámetro variables
#callback	- optional Parámetro callback
]]

## [[plain AnP.Ajax.send]]

[[wdoc
Método object.
@name       AnP.Ajax.send
@see        AnP.Ajax.load
@see        AnP.settings_get
@see        AnP.toast
@see        AnP.json_decode
@see        AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c66e8773647136235c063f2dd9e1fe38
#method	- optional Parámetro method
#url	- optional Parámetro url
#variables	- optional Parámetro variables
#callback	- optional Parámetro callback
#timeout	- optional Parámetro timeout
#loader	- optional Parámetro loader
#return	- - Retorno.
]]

## [[plain AnP.Ajax.get]]

[[wdoc
Método object.
@name       AnP.Ajax.get
@see        AnP.Ajax.load
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       0de35c010587d0c533b599cb2d284c3b
#url	- optional Parámetro url
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.Ajax.post]]

[[wdoc
Método object.
@name       AnP.Ajax.post
@see        AnP.Ajax.load
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       1a09b3b3d6e99a39d4334abe148a5647
#url	- optional Parámetro url
#variables	- optional Parámetro variables
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Ajax.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Ajax.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,ajax,ecma",
    "description" : "AnP.Ajax.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
