[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Errors.ecma.js

```txt
/Public/ecma/AnP.Errors.ecma.js
```

## [[plain AnP.Errors.construct]]

[[wdoc
Método object.
@name       AnP.Errors.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Errors.null_or_undefined]]

[[wdoc
Método object.
@name       AnP.Errors.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       2bab92b94a8e980d778ea1e604ce4937
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.null_or_undefined_messages]]

[[wdoc
Método object.
@name       AnP.Errors.null_or_undefined_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       91c92f8250d77b1582daa767bb3fa3c4
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.empty]]

[[wdoc
Método object.
@name       AnP.Errors.empty
@see        AnP.Errors.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1151745a7d7b74c99d69e870a4e3a80a
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.empty_messages]]

[[wdoc
Método object.
@name       AnP.Errors.empty_messages
@see        AnP.Errors.null_or_undefined_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       4d53b81b5119dfbdf3a48c1c7c59f040
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.number]]

[[wdoc
Método object.
@name       AnP.Errors.number
@see        AnP.Errors.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1151745a7d7b74c99d69e870a4e3a80a
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.number_messages]]

[[wdoc
Método object.
@name       AnP.Errors.number_messages
@see        AnP.Errors.null_or_undefined_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       4d53b81b5119dfbdf3a48c1c7c59f040
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.integer]]

[[wdoc
Método object.
@name       AnP.Errors.integer
@see        AnP.Errors.number
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       65cb09f346d7f7700bebf40e0549837f
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.integer_messages]]

[[wdoc
Método object.
@name       AnP.Errors.integer_messages
@see        AnP.Errors.number_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       0699f6ec25fa3cfc2c97cbe3f82203e5
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.id]]

[[wdoc
Método object.
@name       AnP.Errors.id
@see        AnP.Errors.integer
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       5ab1a872f887bcc7b79a7e22a2869056
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.id_messages]]

[[wdoc
Método object.
@name       AnP.Errors.id_messages
@see        AnP.Errors.integer_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       f87e002451970e20fb40235ed2ebaa72
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.bool]]

[[wdoc
Método object.
@name       AnP.Errors.bool
@see        AnP.Errors.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1151745a7d7b74c99d69e870a4e3a80a
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.Errors.bool_messages]]

[[wdoc
Método object.
@name       AnP.Errors.bool_messages
@see        AnP.Errors.null_or_undefined_messages
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       4d53b81b5119dfbdf3a48c1c7c59f040
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Errors.validate]]

[[wdoc
Método object.
@name       AnP.Errors.validate
@see	AnP.null_or_undefined
@see	AnP.is_html_object
@see	AnP.is_dictionary
@see	AnP.toast
@see	AnP.i18n_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	03173ac44cedf2525dc56ee66cb53007
#form	- optional Parámetro form
#error	- optional Parámetro error
#error_message	- optional Parámetro error_message
#messages	- optional Parámetro messages
#ok_message	- optional Parámetro ok_message
#variables	- optional Parámetro variables
]]

[[html_data {
    "title" : "AnP.Errors.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Errors.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,errors,ecma",
    "description" : "AnP.Errors.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
