[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.I18N.ecma.js

```txt
/Public/ecma/AnP.I18N.ecma.js
```

## [[plain AnP.I18N.construct]]

[[wdoc
Método object.
@name       AnP.I18N.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.I18N.add_items]]

[[wdoc
Método object.
@name       AnP.I18N.add_items
@see	AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	09516d54febccf27e0105bab434bca85
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
]]

## [[plain AnP.I18N.add]]

[[wdoc
Método object.
@name       AnP.I18N.add
@see	AnP.I18N.add
@see	AnP.is_array
@see	AnP.is_bool
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	9cfcdc611d1556ea125abcc51f01229c
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.I18N.get]]

[[wdoc
Método object.
@name       AnP.I18N.get
@see	AnP.I18N.get
@see	AnP.is_bool
@see	AnP.settings_get
@see	AnP.string_variables
@see	AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	f8c53b64dfe3567143aa1c7a3d0feee4
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
_default
nulls
#return	- - Retorno.
#variables	- optional Parámetro variables
_default
nulls
#return	- - Retorno.
]]

## [[plain AnP.I18N.update]]

[[wdoc
Método object.
@name       AnP.I18N.update
@see	AnP.I18N.get
@see	AnP.base64_decode
@see	AnP.json_decode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	1592c844652a096f922eca1d83981e54
]]

## [[plain AnP.I18N.create]]

[[wdoc
Método object.
@name       AnP.I18N.create
@see        AnP.is_string
@see        AnP.is_dictionary
@see        AnP.settings_get
@see        AnP.I18N.create
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       ddc9ca40fc0a6e973ab09eae4845b14e
#input	- optional Parámetro input
]]

## [[plain AnP.I18N.change]]

[[wdoc
Método object.
@name       AnP.I18N.change
@see        AnP.I18N.update
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       a1bf0e04fbb298a5b9aa2c8085b8bd65
#language	- optional Parámetro language
]]

## [[plain AnP.I18N.start]]

[[wdoc
Método object.
@name       AnP.I18N.start
@see	AnP.settings_get
@see	AnP.I18N.add
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	30bea468dbca4d04b61f98b43e5f839e
#callback	- optional Parámetro callback
]]

[[html_data {
    "title" : "AnP.I18N.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.I18N.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,i18N,ecma",
    "description" : "AnP.I18N.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
