[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Routes.ecma.js

```txt
/Public/ecma/AnP.Routes.ecma.js
```

## [[plain AnP.Routes.construct]]

[[wdoc
Método object.
@name       AnP.Routes.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Routes.add_item]]

[[wdoc
Método object.
@name       AnP.Routes.add_item
@see	AnP.string_to_re
@see	AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	499ca95cc2e2fd32f5684a61c0d9e40e
#data	- optional Parámetro data
#overwrite	- optional Parámetro overwrite
]]

## [[plain AnP.Routes.add_object]]

[[wdoc
Método object.
@name       AnP.Routes.add_object
@see        AnP.is_dictionary
@see        AnP.Routes.add_item
@see        AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       30f66b3ceadb2009d7e18f893fd97c00
#object	- optional Parámetro object
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
]]

## [[plain AnP.Routes.add]]

[[wdoc
Método object.
@name       AnP.Routes.add
@see	AnP.Routes.add
@see	AnP.is_array
@see	AnP.is_bool
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	c31ab5c24ddc5869840cabe35de0c1df
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.Routes.start]]

[[wdoc
Método object.
@name       AnP.Routes.start
@see	AnP.settings_get
@see	AnP.Routes.add
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	public
@hash	e7f813d6472777e0abd5bf3878b47a5c
#callback	- optional Parámetro callback
]]

## [[plain AnP.Routes.set_was_back]]

[[wdoc
Método object.
@name       AnP.Routes.set_was_back
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       a987d4dfe91ab4d0740fdf7e31ce53e8
#return	- - Retorno.
]]

## [[plain AnP.Routes.go]]

[[wdoc
Método object.
@name       AnP.Routes.go
@see	AnP.was_back
@see	AnP.remove_was_back
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	437d2d00c7412d7aad96794456481d8b
]]

## [[plain AnP.Routes.change_function]]

[[wdoc
Método object.
@name       AnP.Routes.change_function
@see	AnP.Routes.go
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	private
@hash	679182609404be873cd6a3c748bff3f4
]]

## [[plain AnP.Routes.get_variables]]

[[wdoc
Método object.
@name       AnP.Routes.get_variables
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       0b1eb45e27ffc94f2f751faff91dc5e6
#return	- - Retorno.
]]

## [[plain AnP.Routes.get_variable]]

[[wdoc
Método object.
@name       AnP.Routes.get_variable
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       eeb69c70f981a676d00afc7dc4d75a08
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Routes.get_last]]

[[wdoc
Método object.
@name       AnP.Routes.get_last
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       46ad7194ea40b8fbfc4f83e19a54b356
#return	- - Retorno.
]]

## [[plain AnP.Routes.get_history]]

[[wdoc
Método object.
@name       AnP.Routes.get_history
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1af428a93d5ff9c6040a6bfcfd2587fc
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain AnP.Routes.launch]]

[[wdoc
Método object.
@name       AnP.Routes.launch
@see        AnP.Routes.add
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       8ff1e7dfb1affedd6ce8b2f331fb1f0d
#return	- - Retorno.
]]

## [[plain AnP.Routes.autostart_go]]

[[wdoc
Método object.
@name       AnP.Routes.autostart_go
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       9dcccadf89aed936d3678532ff8cb2ab
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Routes.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Routes.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,routes,ecma",
    "description" : "AnP.Routes.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
