[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Settings.ecma.js

```txt
/Public/ecma/AnP.Settings.ecma.js
```

## [[plain AnP.Settings.construct]]

[[wdoc
Método object.
@name       AnP.Settings.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Settings.add_items]]

[[wdoc
Método object.
@name       AnP.Settings.add_items
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	a462a34b7df6085e6be68c9d73296048
#data	- optional Parámetro data
#overwrite	- optional Parámetro overwrite
]]

## [[plain AnP.Settings.add]]

[[wdoc
Método object.
@name       AnP.Settings.add
@see	AnP.Settings.add
@see	AnP.is_array
@see	AnP.is_bool
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	da54be8647f6c3012436b524ece7d307
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.Settings.get]]

[[wdoc
Método object.
@name       AnP.Settings.get
@see	AnP.is_bool
@see	AnP.Settings.get
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	a83e36772ef7f23473bc1c885a977976
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain AnP.Settings.start]]

[[wdoc
Método object.
@name       AnP.Settings.start
@see        AnP.Settings.add
@see        AnP.Settings.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       e62096615e2861010a1968ea6bb2806d
#callback	- optional Parámetro callback
]]

[[html_data {
    "title" : "AnP.Settings.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Settings.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,settings,ecma",
    "description" : "AnP.Settings.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
