[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Threads.ecma.js

```txt
/Public/ecma/AnP.Threads.ecma.js
```

## [[plain AnP.Threads.construct]]

[[wdoc
Método object.
@name       AnP.Threads.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Threads.thread_function]]

[[wdoc
Método object.
@name       AnP.Threads.thread_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	ab9bbde1ed980d410067bd829ca8d957
#return	- - Retorno.
]]

## [[plain AnP.Threads.start]]

[[wdoc
Método object.
@name       AnP.Threads.start
@see	AnP.settings_get
@see	AnP.Threads.thread_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	dcf9bcafd5455b6fd3202b67f144f097
#frames_per_second	- optional Parámetro frames_per_second
#return	- - Retorno.
]]

## [[plain AnP.Threads.stop]]

[[wdoc
Método object.
@name       AnP.Threads.stop
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c1b6d79c278d28a090faf96255fa0c34
]]

## [[plain AnP.Threads.restart]]

[[wdoc
Método object.
@name       AnP.Threads.restart
@see        AnP.Threads.stop
@see        AnP.Threads.start
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       2289c9deadb583cf5aa36b9e8afa7ba2
#frames_per_second	- optional Parámetro frames_per_second
]]

## [[plain AnP.Threads.add]]

[[wdoc
Método object.
@name       AnP.Threads.add
@see        AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       a657b2a8e6e9088ed437b17ffefadfd8
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain AnP.Threads.remove]]

[[wdoc
Método object.
@name       AnP.Threads.remove
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	e005119bc808e1eefdbfec228fac6441
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain AnP.Threads.init]]

[[wdoc
Método object.
@name       AnP.Threads.init
@see        AnP.Threads.start
@see        AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       fab6bc1f3fbb5687b2c614ed60c1043d
#callback	- optional Parámetro callback
]]

[[html_data {
    "title" : "AnP.Threads.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Threads.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,threads,ecma",
    "description" : "AnP.Threads.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
