[[post_data {
    "author" : "KyMAN",
    "since" : 20220426,
    "version" : 20220426
}]]
# AnPBuilder.ecma.js

```txt
/Public/ecma/AnPBuilder.ecma.js
```

## [[plain AnPBuilder.default_value]]

[[wdoc
Método object.
@name       AnPBuilder.default_value
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       a1841f42c4352bb7f9f7bb87f89ff6fb
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain AnPBuilder.settings]]

[[wdoc
Método object.
@name       AnPBuilder.settings
@see        AnPBuilder.settings
@see        AnPBuilder.default_value
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       5334b170f20382bdf00ad145d77524e1
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain AnPBuilder.string_variables]]

[[wdoc
Método object.
@name       AnPBuilder.string_variables
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       310e8accfc738134f7af1c7b5e59d69d
#string	- optional Parámetro string
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
]]

## [[plain AnPBuilder.build_url]]

[[wdoc
Método object.
@name       AnPBuilder.build_url
@see        AnPBuilder.string_variables
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     private
@hash       d4ff5ba79a55e091c16bfabab9a43aad
#file	- optional Parámetro file
#return	- - Retorno.
]]

## [[plain AnPBuilder.load_scripts]]

[[wdoc
Método object.
@name       AnPBuilder.load_scripts
@see        AnPBuilder.load_scripts
@see        AnPBuilder.build_url
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     private
@hash       69516cb1116930ba089431e189b8ca67
#domain	- optional Parámetro domain
#files	- optional Parámetro files
#callback	- optional Parámetro callback
#i	- optional Parámetro i
]]

## [[plain AnPBuilder.start]]

[[wdoc
Método object.
@name       AnPBuilder.start
@see        AnPBuilder.settings
@see        AnPBuilder.load_scripts
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       d10dc500a025b1b84ef2395a4f984be7
#callback	- optional Parámetro callback
]]

## [[plain AnPBuilder.construct]]

[[wdoc
Método object.
@name       AnPBuilder.construct
@see        AnPBuilder.settings
@see        AnPBuilder.string_variables
@see        AnPBuilder.start
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     private
@hash       10e62d42aaf9eeb6d401572949b0561f
]]

[[html_data {
    "title" : "AnPBuilder.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnPBuilder.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20220426,
    "version" : 20220426,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,main",
    "description" : "AnPBuilder.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
