[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.Marks.ecma.js

```txt
/Public/ecma/comp/AnP.Components.Marks.ecma.js
```

## [[plain AnP.Components.Marks.construct]]

[[wdoc
Método object.
@name       AnP.Components.Marks.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Components.Marks.thread_method]]

[[wdoc
Método object.
@name       AnP.Components.Marks.thread_method
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       c6480c493ebf1f9b2d146c9a2e2155cb
]]

## [[plain AnP.Components.Marks.start]]

[[wdoc
Método object.
@name       AnP.Components.Marks.start
@see	AnP.is_function
@see	AnP.Components.Marks.thread_method
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	2bd928a7aae69926d9085f1bdc9f6f4a
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Marks.get]]

[[wdoc
Método object.
@name       AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       623ea70302c1bed76438c2792a2467df
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.back]]

[[wdoc
Método object.
@name       AnP.Components.Marks.back
@see        AnP.Components.Marks.get
@see        AnP.confirm
@see        AnP.back
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       aff3bed271bde34e0d925635774eb808
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.show_deleted]]

[[wdoc
Método object.
@name       AnP.Components.Marks.show_deleted
@see	AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	5eeb73c25c57b70cf9ff327f2a0abdbd
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.set_autocheck]]

[[wdoc
Método object.
@name       AnP.Components.Marks.set_autocheck
@see	AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	e0ee222bf6abbd550cf840970500af4a
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.summatory]]

[[wdoc
Método object.
@name       AnP.Components.Marks.summatory
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       57fe3f28630a3e51e0e5f04207724a8e
#values	- optional Parámetro values
#points	- optional Parámetro points
#weight	- optional Parámetro weight
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.check]]

[[wdoc
Método object.
@name       AnP.Components.Marks.check
@see        AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       f3f377758eff9dd2880ce1025bf5bb38
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.data_scroll]]

[[wdoc
Método object.
@name       AnP.Components.Marks.data_scroll
@see        AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6c821fc23cf04630b94b1e44af5946ca
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.create]]

[[wdoc
Método object.
@name       AnP.Components.Marks.create
@see	AnP.hash
@see	AnP.settings_get
@see	AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	7d7972329773ad0030186a8780e3dee7
#input	- optional Parámetro input
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Marks.set_mark]]

[[wdoc
Método object.
@name       AnP.Components.Marks.set_mark
@see	AnP.Components.Marks.get
@see	AnP.Components.Marks.check
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	91f4aff81daeb7c08e67157984c5acd2
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.mark_selected]]

[[wdoc
Método object.
@name       AnP.Components.Marks.mark_selected
@see        AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       688ea6e9f899753d16eacf973c5183f9
#item	- optional Parámetro item
#event	- optional Parámetro event
#i	- optional Parámetro i
#j	- optional Parámetro j
]]

## [[plain AnP.Components.Marks.set_data]]

[[wdoc
Método object.
@name       AnP.Components.Marks.set_data
@see        AnP.Components.Marks.get
@see        AnP.Components.Marks.mark_selected
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       ed9888854d5db724024d7a60b6263956
#item	- optional Parámetro item
#map	- optional Parámetro map
#marks	- optional Parámetro marks
#texts	- optional Parámetro texts
#points	- optional Parámetro points
]]

## [[plain AnP.Components.Marks.get_data]]

[[wdoc
Método object.
@name       AnP.Components.Marks.get_data
@see        AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       e4f6eb59dffc1a42daf84e0cec5518ec
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.get_selector]]

[[wdoc
Método object.
@name       AnP.Components.Marks.get_selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       07a77943fb186e78231a3b7bdccda26a
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.set_autoselect]]

[[wdoc
Método object.
@name       AnP.Components.Marks.set_autoselect
@see	AnP.Components.Marks.get_selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	97848e5054063cef58e8367d5d8af00f
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.autoselect]]

[[wdoc
Método object.
@name       AnP.Components.Marks.autoselect
@see	AnP.Components.Marks.get_selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	15ede0354242d3cd739368af41909ff1
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.load_selector]]

[[wdoc
Método object.
@name       AnP.Components.Marks.load_selector
@see        AnP.Components.Marks.get_selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       41de21d6cec303d43e041afa9580102c
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Marks.select]]

[[wdoc
Método object.
@name       AnP.Components.Marks.select
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	1b59ec7f840caf84ef89e0fec9274d7b
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.on_loaded]]

[[wdoc
Método object.
@name       AnP.Components.Marks.on_loaded
@see        AnP.Components.Marks.get_selector
@see        AnP.Components.Marks.select
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       90c213179176341bd31376551b66b518
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Marks.create_selector]]

[[wdoc
Método object.
@name       AnP.Components.Marks.create_selector
@see	AnP.hash
@see	AnP.settings_get
@see	AnP.i18n_get
@see	AnP.Components.Marks.autoselect
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	85b21798e3916a6780a1a6dcc8459159
#input	- optional Parámetro input
]]

## [[plain AnP.Components.Marks.fill_selector]]

[[wdoc
Método object.
@name       AnP.Components.Marks.fill_selector
@see	AnP.Components.Marks.get_selector
@see	AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	d420dd13c9011d8b0bdb2531272da89b
#block	- optional Parámetro block
#data	- optional Parámetro data
]]

## [[plain AnP.Components.Marks.set_origin]]

[[wdoc
Método object.
@name       AnP.Components.Marks.set_origin
@see        AnP.Components.Marks.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       daf272a0252d8ee79bc4db539dcc833b
#item	- optional Parámetro item
]]

[[html_data {
    "title" : "AnP.Components.Marks.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/comp/AnP.Components.Marks.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,marks,ecma",
    "description" : "AnP.Components.Marks.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
