[[post_data {
    "author" : "KyMAN",
    "since" : 20210727,
    "version" : 20210727
}]]
# AnP.Threads.py

Esta librería es la encargada de gestionar las configuraciones tanto internas del AnP como de las
aplicaciones que extiendan del propio AnP.

## AnP.Threads.get

[[wdoc
Método que retorna un valor de configuración a partir de su nombre.
@name       AnP.Threads.get
@lang       Python
@author     KyMAN
@see        AnP.is_bool
@see        AnP.is_array
@see        AnP.is_dictionary
@since      20210727
@version    20210727
@access     public
#names      str,list,tuple  optional    Nombre o nombres del parámetro de configuración.
#inputs     dict,list,tuple optional    Diccionario de parámetros o lista de los mismos.
#default    -               optional    Valor por defecto.
#nulls      bool            optional    Verifica si se admiten valores nulos o no.
#return     -               -           Valor del parámetro de configuración
]]

## AnP.Threads.add

[[wdoc
Método que añade nuevos parámetros de configuración.
@name       AnP.Threads.add
@lang       Python
@author     KyMAN
@see        AnP.is_bool
@see        AnP.Settings.get
@see        AnP.is_array
@see        AnP.is_dictionary
@see        AnP.Settings.add
@see        AnP.json_decode
@see        AnP.file_load
@since      20210727
@version    20210727
@access     public
#inputs     dict,list,tuple required    Diccionario de parámetros o lista de los mismos a añadir.
#overwrite  bool            optional    Verifica si se permite la sobreescritura o no.
]]

[[html_data {
    "title" : "Documentación - AnP.py",
    "url" : "https://anp.k3y.pw/es/py/anp.py.html",
    "author" : "Tarsier, angelus, inoro, KyMAN",
    "since" : 20210727,
    "version" : 20210727,
    "key_words" : "anp,attach,play,attach&play,documentación,python,anp.py",
    "description" : "Documentación del fichero AnP.py.",
    "project" : "AnP",
    "logo" : "https://anp.k3y.pw/images/anp.png",
    "language" : "es"
}]]
