create database if not exists AnP character set utf8mb4 collate utf8mb4_general_ci;
use AnP;

delimiter ;^
	
	drop function if exists users_emails_validate;^
	create function users_emails_validate(
		`$user` integer,
		$email integer
	) returns integer begin

		declare $error integer default 0;

		set $error := $error | (users_validate(`$user`, false) << 0);
		set $error := $error | (emails_validate($email, false) << 4);

		if !$error then 
			set $error := $error | ($error, ifnull((
				select if(belongs, 0, 1 << 1) from _UsersEmails where `user` = `$user` && email = $email limit 1
			), 1 << 0) << 8);
		end if;

		return $error;
	end;^

delimiter ;