<?php 

    namespace AnP\Controllers;

    class UsersEmails extends \AnP\Controller{

        public function __construct($anp){
            parent::__construct($anp, $this);

            $this->entity = "UsersEmails";
            $this->class = get_class($this);

        }

        public function list(){

            try{
                $this->execute()->list();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function history(){

            try{
                $this->execute()->history();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

        public function restore(){

            try{
                $this->execute()->restore();
            }catch(\Exception $exception){
                $this->set_traces($exception);
            };

        }

    };
