<?php 

    namespace AnP\Controllers\Exceptions;

    class MariaDB extends \AnP\Controller{

        private $key = "AnP_mariadb";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "call exceptions_add({session}, {own_error}, {own_parameters}, {messages}, {status}, {code}, @error, @id);"
            ), [
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters"),
                "messages" => $this->request("messages"),
                "status" => $this->request("status"),
                "code" => $this->request("code")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "call exceptions_list({session}, {own_error}, {own_parameters}, {messages}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            ), [
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters"),
                "messages" => $this->request("messages")
            ]));

        }

    };
