<?php 

    namespace AnP\Controllers\Ips;

    class MariaDB extends \AnP\Controller{

        protected $key = "AnP_MariaDB";

        public function list(){
            
            $this->json_response($this->list_query((
                "call ips_list({session}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )));

        }

        public function select(){
            
            $this->json_response($this->list_query((
                "call ips_select_list({session}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )));

        }

        public function history(){
            
            $this->json_response($this->list_query((
                "call ips_history({session}, {id}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            ), ["id" => $this->request("id")]));

        }

        public function restore(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "call ips_restore({session}, {id}, @error);"
            ), ["id" => $this->request("id")]));

        }

        public function set_accessible(){
            
            $this->json_response($this->list_query((
                "call ips_set_accessible({session}, {id}, {accessible}, @error);"
            ), [
                "id" => $this->request("id"),
                "accessible" => $this->request("accessible")
            ]));

        }

    };
