<?php 

    namespace AnP\Controllers\Logs;

    class MariaDB extends \AnP\Controller{

        private $key = "AnP_mariadb";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "call logs_add({session}, {own_error}, {own_parameters}, @error, @id);"
            ), [
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "call logs_list({session}, {own_error}, {own_parameters}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters")));

        }

    };
