<?php 

    namespace AnP\Controllers\PermissionsGroups;

    class MariaDB extends \AnP\Controller{

        protected $key = "AnP_MariaDB";

        public function list(){
            
            $this->json_response($this->list_query((
                "call permissions_groups_list({session}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )));

        }

        public function select(){
            
            $this->json_response($this->list_query((
                "call permissions_groups_select_list({session}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )));

        }

        public function history(){
            
            $this->json_response($this->list_query((
                "call permissions_groups_history({session}, {id}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            ), ["id" => $this->request("id")]));

        }

        public function restore(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "call permissions_groups_restore({session}, {id}, @error);"
            ), ["id" => $this->request("id")]));

        }

    };
