<?php 

    namespace AnP\Controllers\Procedures;

    class MariaDB extends \AnP\Controller{

        private $key = "AnP_mariadb";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "call procedures_add({session}, {database}, {name}, @error, @id);"
            ), [
                "database" => $this->request("database"),
                "name" => $this->request("name")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "call procedures_list({session}, {database}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            )
                "database" => $this->request("database")));

        }

    };
