<?php

    namespace AnP\Controllers\System;

    class MariaDB extends \AnP\Controller{

        protected $key = "AnP_MariaDB";

        public function get_languages_id(){
            
            $this->json_response($this->anp->connections->get($this->key)->query(("call languages_get_id_select();")));

        }

        public function get_file(){
            
            $response = $this->anp->connections->get($this->key)->query((
                "call files_get_path({session}, {file_id}, {file_name}, null, @error, @path, @type)"
            ), [
                "file_id" => $this->request("file_id"),
                "file_name" => $this->request("file_name")
            ]);

            return isset($response["variables"]) ? $response["variables"] : null;
        }

    };