<?php 

    namespace AnP\Controllers\Traces;

    class MariaDB extends \AnP\Controller{

        protected $key = "AnP_MariaDB";

        public function list(){
            
            $this->json_response($this->list_query((
                "call traces_list({session}, {project}, {file}, {trace}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            ), [
                "project" => $this->request("project"),
                "file" => $this->request("file"),
                "trace" => $this->request("trace")
            ]));

        }

        public function select(){
            
            $this->json_response($this->list_query((
                "call traces_select_list({session}, {project}, {file}, {trace}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages, @results, @error);"
            ), [
                "project" => $this->request("project"),
                "file" => $this->request("file"),
                "trace" => $this->request("trace")
            ]));

        }

        public function add(){ 

            $this->json_response($this->anp->connections->get($this->key)->query((
                "call traces_add({session}, {project}, {file}, {own_error}, {own_parameters}, {trace}, {message}, {line}, @error, @id);"
            ), [
                "project" => $this->request("project"),
                "file" => $this->request("file"),
                "own_error" => $this->request("own_error"),
                "own_parameters" => $this->request("own_parameters"),
                "trace" => $this->request("trace"),
                "message" => $this->request("message"),
                "line" => $this->request("line")
            ])); 

        }

    };
