<?php 

    namespace AnP\Controllers\Databases;

    class SQLServer extends \AnP\Controller{

        protected $key = "AnP_sqlserver";

        public function add(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "execute dbo.databases_add {session}, {name}, @error, output @id output"
            ), [
                "name" => $this->request("name")
            ]));

        }

        public function list(){
            
            $this->json_response($this->list_query((
                "execute dbo.databases_list {session}, {page}, {items_per_page}, {where}, {order_by}, @items, @pages output, @results output, @error output"
            )));
            
        }

    };
