<?php 

    namespace AnP\Controllers\PermissionsGroups;

    class SQLServer extends \AnP\Controller{

        protected $key = "AnP_SQLServer";

        public function list(){
            
            $this->json_response($this->list_query((
                "execute dbo.permissions_groups_list {session}, {page}, {items_per_page}, {where}, {order_by}, @pages output, @items output, @results output, @error output"
            )));
            
        }

        public function select(){
            
            $this->json_response($this->list_query((
                "execute dbo.permissions_groups_select_list {session}, {page}, {items_per_page}, {where}, {order_by}, @pages output, @items output, @results output, @error output"
            )));
            
        }

        public function history(){
            
            $this->json_response($this->list_query((
                "execute dbo.permissions_groups_history {session}, {id}, {page}, {items_per_page}, {where}, {order_by}, @pages output, @items output, @results output, @error output"
            ), ["id" => $this->request("id")]));

        }

        public function restore(){
            
            $this->json_response($this->anp->connections->get($this->key)->query((
                "execute dbo.permissions_groups_restore {session}, {id}, @error output"
            ), ["id" => $this->request("id")]));

        }

    };
