<?php

    namespace AnP\Controllers\System;

    class SQLServer extends \AnP\Controller{

        protected $key = "AnP_SQLServer";

        public function get_languages_id(){
            
            $this->json_response($this->anp->connections->get($this->key)->query(("execute languages_get_id_select")));

        }

        public function get_file(){
            
            $response = $this->anp->connections->get($this->key)->query((
                "execute dbo.files_get_path {session}, {file_id}, {file_name}, null, @error output, @path output, @type output"
            ), [
                "file_id" => $this->request("file_id"),
                "file_name" => $this->request("file_name")
            ]);

            return isset($response["variables"]) ? $response["variables"] : null;
        }

    };