AnPApp = function(anp, input){

    const self = this;
    let started = false;

    let sql = this.sql;
    let errors_tests = this.errors_tests;
    let maps_tests = this.maps_tests;

    const construct = () => {

        AnPApp.SQL && (sql = self.sql = new AnPApp.SQL(self, input));
        AnPApp.ErrorsTests && (errors_tests = self.errors_tests = new AnPApp.ErrorsTests(self, input));
        AnPApp.MapsTests && (maps_tests = self.maps_tests = new AnPApp.MapsTests(self, input));

    };

    this.start = callback => {

        if(started){
            typeof callback == "function" && callback();
            return;
        };
        started = true;

        self.launch(self, ["sql", "errors_tests", "maps_tests"], callback);

        new AnP.Preload(self, ".anp", item => {
            item && (self.item_self = item);
        });

    };

    this.routes_permissions_test = () => console.log(anp_app.routes.get_permissions(), self.has_permissions(anp.routes.get_permissions()));

    construct();

};
