Errors = function(input){

    const self = this;
    let started = false;

    const construct = () => {

        anp_tests = new AnPTests(input, self);

    };

    this.start = () => {

        if(started)
            return;
        started = true;

    };

    this.build = () => {

        let content_html = ``,
            convert_tester_header = `<tr><th></th>`,
            empty_columns = ``,
            convert_tester_body = ``;
        const header_html = (`
                  <tr>
                      <th></th>
                      <th></th>
                      <th></th>
                  </tr>
              `);

        ["integer", "base64", "binary", "base64_array", "decimal_array", "binary_array"].forEach(key => content_html += (`
            <tr>
                <th data-i18n="` + key + `">` + self.i18n(key) + `</th>
                <td>-</td>
                <th data-i18n="` + key + `">` + self.i18n(key) + `</th>
            </tr>
        `));
        [1, 2, 3, 4].forEach(i => empty_columns += `<td>-</td>`);
        ["integer", "base64", "array", "binary"].forEach(key => {

            const text = self.i18n(key);

            convert_tester_header += `<th data-i18n="` + key + `">` + text + `</th>`;
            convert_tester_body += (`
                <tr>
                    <th data-i18n="` + key + `">` + text + `</th>
                    ` + empty_columns + `
                    <th data-i18n="` + key + `">` + text + `</th>
                </tr>
            `);

        });
        convert_tester_header += `<th></th></tr>`;

        return self.base(`
            <form class="anp-tests-errors">
                <fieldset>
                    <legend data-i18n="errors_test">` + self.i18n("errors_test") + `</legend>
                    <p data-i18n="errors_test_text">` + self.i18n("errors_test_text") + `</p>
                    <fieldset class="options">
                        <legend data-i18n="options">` + self.i18n("options") + `</legend>
                        <div class="form-block">` + (
                            self.field({type : "selector", name : "mode", options : ["php", "mysql", "js_ecma", "sql_server", "python"], selected : "php"}) +
                            self.field({type : "number", name : "error", min : 0, max : 2 ** 58, step : 1, value : 0}) +
                            self.field({type : "number", name : "error_join", min : 0, max : 2 ** 58, step : 1, value : 0}) +
                            self.field({type : "number", name : "bitwise", min : -64, max : 64, step : 1, value : 0})
                        ) + `
                        </div>
                        <dic class="buttons">` +
                            self.button("execute", self.object_name + ".execute(this, event);") +
                        `</div>
                    </fieldset>
                    <fieldset class="results">
                        <legend data-i18n="results">` + self.i18n("results") + `</legend>
                        <table>
                            <thead>` + header_html + `</thead>
                            <tbody>` + content_html + `</tbody>
                            <tfoot>` + header_html + `</tfoot>
                        </table>
                    </fieldset>
                    <fieldset class="convert-tester">
                        <legend data-i18n="convert_tester">` + self.i18n("convert_tester") + `</legend>
                        <table>
                            <thead>` + convert_tester_header + `</thead>
                            <tbody>` + convert_tester_body + `</tbody>
                            <tfoot>` + convert_tester_header + `</tfoot>
                        </table>
                    </fieldset>
                </fieldset>
            </form>
        `);
    };

    this.execute = (item, event) => {

        const [form, values] = self.get_form_values(item);

        console.log([form, values]);

    };

    construct();

};
