use AnP 

if object_id(N'dbo.__TEST__sessions_register', N'P') is not null drop procedure dbo.__TEST__sessions_register
go
create procedure dbo.__TEST__sessions_register as begin 

	declare @error varchar(512)
	declare @session varchar(max) = concat('', (select top 1 id from dbo.[Sessions] where date_out is null order by id desc)) + ',::1,AnP Machine DB Server'
	declare @session_id integer
	declare @ip_id integer
	declare @user_agent_id integer
	declare @id integer
	declare @user varchar(32)
	declare @timeout integer

	set nocount on

	execute dbo.sessions_validate_full @session, null, @error output, @session_id output, @ip_id output, @user_agent_id output
	select @session, @error, dbo.errors_to_integer(@error), @session_id, @ip_id, @user_agent_id
	execute dbo.errors_get_data 'sessions_validate_full', @error, 1

	if dbo.errors_has(@error) = 1 begin 
		execute dbo.sessions_get_guest null, @error output, @session_id output, @user output, @timeout output
		select @error, @session_id, dbo.errors_to_integer(@error), @user, @timeout
		execute dbo.errors_get_data 'sessions_get_guest', @error
		set @session = concat('', @session_id) + ',::1,AnP Machine DB Server', 1
	end else begin 
		execute dbo.sessions_update @session, @error output, @user output, @timeout output
		select @error, dbo.errors_to_integer(@error), @user, @timeout
		execute dbo.errors_get_data 'sessions_update', @error, 1
	end

	execute dbo.sessions_register @session, 'asd3', 'j2@j.j', 'a2A_', @error output, @id output
	select @error, @id, dbo.errors_to_integer(@error)
	execute dbo.errors_get_data 'sessions_register', @error, 1

	select * from dbo._Users
	select * from dbo._UsersGroups

	if 1 = 0 begin 
		select * from dbo.ExceptionsFullView order by id desc
		select * from dbo.LogsFullView order by id desc
	end

end
go

execute dbo.__TEST__sessions_register

if object_id(N'dbo.__TEST__sessions_register', N'P') is not null drop procedure dbo.__TEST__sessions_register
go