#!/bin/bash

directory=`dirname $(readlink -f "$0")`

if command -v mysql &> /dev/null; then

	mariadb_host="127.0.0.1"
	mariadb_port="3306"
	mariadb_user="root"
	mariadb_password=""

	[[ -f Secrets.sh ]] && source Secrets.sh
	
	for i in $(find $directory/../MariaDB -type f|grep .sql|sort|cat); do
		echo $i
        mysql --host=$mariadb_host --port=$mariadb_port --user=$mariadb_user --password=$mariadb_password < $i
    done

else
	echo "Please, install mariadb-client or mysql-client."
fi
