[[post_data {
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425
}]]
# AnP.Errors.php

```txt
/PHP/AnP.Errors.php
```

## [[plain AnP\Errors->__construct]]

[[wdoc
Método constructor.
@name       AnP\Errors->__construct
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       05ed7dbd15afc42d311f6fc9d64fe481
#$anp	- optional Parámetro $anp
#$input	- optional Parámetro $input
]]

## [[plain AnP\Errors->get_alphabet]]

[[wdoc
Método object.
@name       AnP\Errors->get_alphabet
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       153b7b2b563d39d0bc70370252f2c8ed
#return	- - Retorno.
]]

## [[plain AnP\Errors->to_array]]

[[wdoc
Método object.
@name       AnP\Errors->to_array
@see        AnP\Errors->get_alphabet
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       6e0ddc6670522e5075d2d1a263e4b6e6
#$code	- optional Parámetro $code
#$length	- optional Parámetro $length
#return	- - Retorno.
]]

## [[plain AnP\Errors->to_array_binary]]

[[wdoc
Método object.
@name       AnP\Errors->to_array_binary
@see        AnP\Errors->to_array
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       076c93c9caae11776a29ccfcaaab7c33
#$code	- optional Parámetro $code
#return	- - Retorno.
]]

## [[plain AnP\Errors->to_integer]]

[[wdoc
Método object.
@name       AnP\Errors->to_integer
@see        AnP\Errors->get_alphabet
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       1a2c9b6fb6fa674f13243aea43a7732f
#$code	- optional Parámetro $code
#$length	- optional Parámetro $length
#return	- - Retorno.
]]

## [[plain AnP\Errors->to_string]]

[[wdoc
Método object.
@name       AnP\Errors->to_string
@see        AnP\Errors->get_alphabet
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       99f0f24fd4d66cab6ad2b4c30f0947df
#$code	- optional Parámetro $code
#$length	- optional Parámetro $length
#return	- - Retorno.
]]

## [[plain AnP\Errors->has]]

[[wdoc
Método object.
@name       AnP\Errors->has
@see        AnP\Errors->get_alphabet
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       5448ba7055092a2ba5d6625c0c44908a
#$code	- optional Parámetro $code
#return	- - Retorno.
]]

## [[plain AnP\Errors->type]]

[[wdoc
Método object.
@name       AnP\Errors->type
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       35697f033c7e3351f985a902ecfb68c8
#$code	- optional Parámetro $code
#return	- - Retorno.
]]

## [[plain AnP\Errors->to_unknown]]

[[wdoc
Método object.
@name       AnP\Errors->to_unknown
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       62d86de7823c32bdb1b14ff0a3c84b0e
#$code	- optional Parámetro $code
#return	- - Retorno.
]]

## [[plain AnP\Errors->bitwise]]

[[wdoc
Método object.
@name       AnP\Errors->bitwise
@see        AnP\Errors->has
@see        AnP\Errors->type
@see        AnP\Errors->to_string
@see        AnP\Errors->to_array
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       9240e3f2aa506b4f18e69350e862c26a
#$code	- optional Parámetro $code
#$bits	- optional Parámetro $bits
#return	- - Retorno.
]]

## [[plain AnP\Errors->set]]

[[wdoc
Método object.
@name       AnP\Errors->set
@see        AnP\Errors->to_array
@see        AnP\Errors->has
@see        AnP\Errors->bitwise
@see        AnP\Errors->to_string
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       006badcef712447e5f43e3c78f204ced
#$code	- optional Parámetro $code
#$error	- optional Parámetro $error
#$bit	- optional Parámetro $bit
#$length	- optional Parámetro $length
#return	- - Retorno.
]]

## [[plain AnP\Errors->get]]

[[wdoc
Método object.
@name       AnP\Errors->get
@see        AnP\Errors->to_array
@see        AnP\Errors->to_string
@lang       PHP
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       80cf030f90df75f48f6f7f9671062c30
#$code	- optional Parámetro $code
#$messages	- optional Parámetro $messages
#$variables	- optional Parámetro $variables
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Errors.php - AnP",
    "url" : "https://anp.k3y.pw//PHP/AnP.Errors.php.html",
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,errors",
    "description" : "AnP.Errors.php del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
