[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.I18N.php

```txt
/PHP/AnP.I18N.php
```

## [[plain AnP\I18N->__construct]]

[[wdoc
Método constructor.
@name       AnP\I18N->__construct
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	85c831f129a1196ca95f5baa825e6fd6
#$anp	- optional Parámetro $anp
#$input	- optional Parámetro $input
]]

## [[plain AnP\I18N->add]]

[[wdoc
Método object.
@name       AnP\I18N->add
@see	AnP\I18N->get
@see	AnP::is_dictionary
@see	AnP\I18N->add
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	0af6167cf0f94fb0a69562213bba397e
#$inputs	- optional Parámetro $inputs
#$overwrite	- required Parámetro $overwrite
]]

## [[plain AnP\I18N->get_language]]

[[wdoc
Método object.
@name       AnP\I18N->get_language
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	ef6a2a0867057de1a42988e7cfb81bdc
#return	- - Retorno.
]]

## [[plain AnP\I18N->change_language]]

[[wdoc
Método object.
@name       AnP\I18N->change_language
@lang       PHP
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	88e46b9b5f23e21f2877c02cc242fa2c
#$language	- optional Parámetro $language
]]

## [[plain AnP\I18N->start]]

[[wdoc
Método object.
@name       AnP\I18N->start
@see        AnP\I18N->add
@see        AnP\I18N->change_language
@see        AnP\I18N->get
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6d9b15d8d02e9b8fa9e390f8cf77d266
]]

## [[plain AnP\I18N->default_text]]

[[wdoc
Método object.
@name       AnP\I18N->default_text
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       618336d8da6b83dcbe59757f5295ca78
#$default	- required Parámetro $default
#return	- - Retorno.
]]

## [[plain AnP\I18N->get_sentence]]

[[wdoc
Método object.
@name       AnP\I18N->get_sentence
@see        AnP\I18N->default_text
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       d7568ddc70de0bc2dd8b7278ba7f50b6
#$names	- optional Parámetro $names
#$default	- optional Parámetro $default
#return	- - Retorno.
]]

## [[plain AnP\I18N->get]]

[[wdoc
Método object.
@name       AnP\I18N->get
@see        AnP::string_variables
@see        AnP\I18N->get_sentence
@lang       PHP
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       80cf030f90df75f48f6f7f9671062c30
#$names	- required Parámetro $names
#$variables	- required Parámetro $variables
#$default	- required Parámetro $default
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.I18N.php - AnP",
    "url" : "https://anp.k3y.pw//PHP/AnP.I18N.php.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,i18N",
    "description" : "AnP.I18N.php del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
