[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Attributes.ecma.js

```txt
/Public/ecma/AnP.Attributes.ecma.js
```

## [[plain AnP.Attributes.construct]]

[[wdoc
Método object.
@name       AnP.Attributes.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Attributes.start]]

[[wdoc
Método object.
@name       AnP.Attributes.start
@see	AnP.settings_get
@see	AnP.is_array
@see	AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	32411138a0dae5c7cb38af80eb078f0b
#callback	- optional Parámetro callback
]]

## [[plain AnP.Attributes.as_html]]

[[wdoc
Método object.
@name       AnP.Attributes.as_html
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       29cc8d90787d514953682637b5f1488c
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.as_snake]]

[[wdoc
Método object.
@name       AnP.Attributes.as_snake
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       8c7f6789a30a2aa1974e0a0f949d8a02
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.as_camel]]

[[wdoc
Método object.
@name       AnP.Attributes.as_camel
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       ad2a194d3af86867b055e78f5bb46209
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.get_names]]

[[wdoc
Método object.
@name       AnP.Attributes.get_names
@see        AnP.Attributes.as_html
@see        AnP.Attributes.as_snake
@see        AnP.Attributes.as_camel
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       8529b961a11799dc123c63069ffbceff
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.has_no_data]]

[[wdoc
Método object.
@name       AnP.Attributes.has_no_data
@see	AnP.Attributes.get_names
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	1b931a7113ad2d1293b094b32a3fbddc
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.has_no_value]]

[[wdoc
Método object.
@name       AnP.Attributes.has_no_value
@see	AnP.Attributes.get_names
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	1b931a7113ad2d1293b094b32a3fbddc
#name	- optional Parámetro name
#real	- optional Parámetro real
#return	- - Retorno.
]]

## [[plain AnP.Attributes.get]]

[[wdoc
Método object.
@name       AnP.Attributes.get
@see        AnP.Attributes.as_html
@see        AnP.Attributes.has_no_data
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       28dbae01dd5d44a00c4a16377d64972f
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.Attributes.set_list]]

[[wdoc
Método object.
@name       AnP.Attributes.set_list
@see        AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       325b086cf1b9d484bbdb9a5866161322
#list	- optional Parámetro list
#return	- - Retorno.
]]

## [[plain AnP.Attributes.set_input]]

[[wdoc
Método object.
@name       AnP.Attributes.set_input
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.Attributes.set_list
@see	AnP.Attributes.has_no_value
@see	AnP.base64_encode
@see	AnP.json_encode
@see	AnP.Attributes.get
@see	AnP.set_globals
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	98e13e735b9e5d9892315daafadb98f5
#arguments	- optional Parámetro arguments
#i	- optional Parámetro i
#callback	- optional Parámetro callback
]]

## [[plain AnP.Attributes.set]]

[[wdoc
Método object.
@name       AnP.Attributes.set
@see        AnP.is_html_object
@see        AnP.Attributes.set_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       312854eca2705be1d9ab4c592c0b4f65
#...arguments	- optional Parámetro ...arguments
#return	- - Retorno.
]]

## [[plain AnP.Attributes.is]]

[[wdoc
Método object.
@name       AnP.Attributes.is
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       98625f03a86d1ba107c57a8aad6d783e
#item	- optional Parámetro item
#attribute	- optional Parámetro attribute
#return	- - Retorno.
]]

## [[plain AnP.Attributes.get_values]]

[[wdoc
Método object.
@name       AnP.Attributes.get_values
@see	AnP.is_object
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	830e440e51e298ccfccf7caf67c56ae7
#inputs	- optional Parámetro inputs
#names	- optional Parámetro names
#_default	- optional Parámetro _default
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Attributes.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Attributes.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,attributes,ecma",
    "description" : "AnP.Attributes.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
