[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.ecma.js

```txt
/Public/ecma/AnP.Components.ecma.js
```

## [[plain AnP.Components.construct]]

[[wdoc
Método object.
@name       AnP.Components.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	13c163d23bb4ee6ad7a3502df4cbe10d
]]

## [[plain AnP.Components.cache_function]]

[[wdoc
Método object.
@name       AnP.Components.cache_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	ee6a8e5d2f0943100badb0b3dedab2da
]]

## [[plain AnP.Components.get_float_box]]

[[wdoc
Método object.
@name       AnP.Components.get_float_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e219f7bc16e588262a99eb7c3981d3a7
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.get_label]]

[[wdoc
Método object.
@name       AnP.Components.get_label
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       a72963a1d2bb38dae1ed005cd67b3318
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.float_box_method]]

[[wdoc
Método object.
@name       AnP.Components.float_box_method
@see	AnP.Components.get_float_box
@see	AnP.Components.get_label
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	2af387e1f53ef91e2ff6c109de4c6b1c
#event	- optional Parámetro event
]]

## [[plain AnP.Components.start]]

[[wdoc
Método object.
@name       AnP.Components.start
@see	AnP.launch
@see	AnP.settings_get
@see	AnP.is_function
@see	AnP.Components.cache_function
@see	AnP.Components.float_box_method
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	45b2225697382f12e1b06014f13b35cc
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.i18n]]

[[wdoc
Método object.
@name       AnP.Components.i18n
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       fe92e36ce6c584c46b00b9af20bd0c44
#i18n	- optional Parámetro i18n
#tag	- optional Parámetro tag
#return	- - Retorno.
]]

## [[plain AnP.Components.icon]]

[[wdoc
Método object.
@name       AnP.Components.icon
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       3b988f6148e4c1dd51c1743bb4be52c3
#icon	- optional Parámetro icon
#return	- - Retorno.
]]

## [[plain AnP.Components.full_item]]

[[wdoc
Método object.
@name       AnP.Components.full_item
@see	AnP.settings_get
@see	AnP.i18n_get
@see	AnP.Components.icon
@see	AnP.Components.i18n
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	2a616787986f6e4f6669cecc5dea4521
#name	- optional Parámetro name
#tag	- optional Parámetro tag
#return	- - Retorno.
]]

## [[plain AnP.Components.error]]

[[wdoc
Método object.
@name       AnP.Components.error
@see	AnP.i18n_get
@see	AnP.Components.i18n
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	06580bedee85259651dfe350d078492a
#code	- optional Parámetro code
#return	- - Retorno.
]]

## [[plain AnP.Components.toggle]]

[[wdoc
Método object.
@name       AnP.Components.toggle
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	a5b07e51ec044bdaf86dd7f8caccbd10
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.button]]

[[wdoc
Método object.
@name       AnP.Components.button
@see	AnP.Components.toggle
@see	AnP.i18n_get
@see	AnP.Components.icon
@see	AnP.Components.i18n
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	21f28f1f0056525676c12f4e5a2d214f
#input	- optional Parámetro input
]]

## [[plain AnP.Components.buttons]]

[[wdoc
Método object.
@name       AnP.Components.buttons
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.Components.button
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	public
@hash	3e8cc15b3e291c87bff617ee17f191f0
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.i18n_field]]

[[wdoc
Método object.
@name       AnP.Components.i18n_field
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	private
@hash	140d4fc9b4554a7df99bd1423a69f64f
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.create_input_text]]

[[wdoc
Método object.
@name       AnP.Components.create_input_text
@see        AnP.hash
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       27b1b0caf972eade83cf48b2be96d324
#html	- optional Parámetro html
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.create_input_number]]

[[wdoc
Método object.
@name       AnP.Components.create_input_number
@see        AnP.hash
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       bdae4a2178c1e2dc3cf136cf43240ef3
#html	- optional Parámetro html
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.focus_input]]

[[wdoc
Método object.
@name       AnP.Components.focus_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       d5b2ae117a7bab760042bfd4ee803018
#input	- optional Parámetro input
]]

## [[plain AnP.Components.on_focus_in]]

[[wdoc
Método object.
@name       AnP.Components.on_focus_in
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       644ec25df21f611ca2fca8d5d4b64431
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.on_focus_out]]

[[wdoc
Método object.
@name       AnP.Components.on_focus_out
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       774787391582cfc5706a976ff2d87ded
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.text]]

[[wdoc
Método object.
@name       AnP.Components.text
@see        AnP.Components.create_input_text
@see        AnP.Components.i18n_field
@see        AnP.Components.focus_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       daeaab8ccd7564680b86d407ea63d126
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.password]]

[[wdoc
Método object.
@name       AnP.Components.password
@see        AnP.Components.create_input_text
@see        AnP.Components.i18n_field
@see        AnP.Components.focus_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       d3d068d7283d5031ed1934216aea56d6
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.mail]]

[[wdoc
Método object.
@name       AnP.Components.mail
@see        AnP.Components.create_input_text
@see        AnP.Components.i18n_field
@see        AnP.Components.focus_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1992d7b17a9e6a6b6973d682b019985d
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.number]]

[[wdoc
Método object.
@name       AnP.Components.number
@see        AnP.Components.create_input_number
@see        AnP.Components.i18n_field
@see        AnP.Components.focus_input
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       9b9ef3bac8d80c69f3123f0673612213
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.checkbox]]

[[wdoc
Método object.
@name       AnP.Components.checkbox
@see	AnP.hash
@see	AnP.i18n_get
@see	AnP.Components.icon
@see	AnP.Components.i18n
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	0d720719a00b30d5cc56b2b48ebe903c
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.radiobutton]]

[[wdoc
Método object.
@name       AnP.Components.radiobutton
@see	AnP.Components.checkbox
@see	AnP.is_dictionary
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	2e2590431fbfb0ce6e9c8b9a7608aa1a
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.group]]

[[wdoc
Método object.
@name       AnP.Components.group
@see	AnP.is_array
@see	AnP.is_dictionary
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	70e2adcaae345a33cefd4dcffb7883a0
#inputs	- optional Parámetro inputs
#return	- - Retorno.
]]

## [[plain AnP.Components.html]]

[[wdoc
Método object.
@name       AnP.Components.html
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       3ad5f8d4b9fc555ba7d4ae1642c93c23
#html	- optional Parámetro html
#return	- - Retorno.
]]

## [[plain AnP.Components.multiview]]

[[wdoc
Método object.
@name       AnP.Components.multiview
@see	AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	d64615b6a63f578e09c12e0ad5327a3e
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.menu]]

[[wdoc
Método object.
@name       AnP.Components.menu
@see	AnP.is_dictionary
@see	AnP.settings_get
@see	AnP.is_array
@see	AnP.Components.button
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	ed5f8f7afe91f9d887d5604e5d1b6887
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.create_float_box]]

[[wdoc
Método object.
@name       AnP.Components.create_float_box
@see	AnP.Components.get_label
@see	AnP.is_dictionary
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	7778b671f9f396a36a5ff2bc085db501
#item	- optional Parámetro item
#event	- optional Parámetro event
#input	- optional Parámetro input
]]

[[html_data {
    "title" : "AnP.Components.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Components.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,ecma",
    "description" : "AnP.Components.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
