[[post_data {
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425
}]]
# AnP.Events.ecma.js

Esta librería sirve para gestionar conjuntos de métodos variables que tienden a ejecutarse
simultáneamente, por ejemplo, cuando salta un evento o una condición. Esta librería depende
directamente de Settings, y a su vez de Ajax.

```txt
/Public/ecma/AnP.Events.ecma.js
```

## [[plain AnP.Events.construct]]

[[wdoc
Método object.
@name       AnP.Events.construct
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Events.execute]]

Este método admite desde 0 a infinitos parámetros de entradas, y serán enviados al método a ejecutar
a modo de argumentos.

[[wdoc
Método object.
@name       AnP.Events.execute
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       035117175bacfd7b05accf6804af3cc0
#...arguments	- optional Parámetro ...arguments
#return	- - Retorno.
]]

## [[plain AnP.Events.add]]

[[wdoc
Método object.
@name       AnP.Events.add
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       e89fc710f5533fd59772d89f95f7c644
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain AnP.Events.remove]]

[[wdoc
Método object.
@name       AnP.Events.remove
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       e005119bc808e1eefdbfec228fac6441
#i	- optional Parámetro i
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Events.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Events.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,events,ecma",
    "description" : "AnP.Events.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
