[[post_data {
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425
}]]
# AnP.Stores.ecma.js

Esta librería es un gestor de información estática a nivel cliente la cual nos permite buscar,
filtrar, ordenar y paginar la información que tenemos en ésta. Son objetos independientes, es decir,
cada Store será un objeto de ésta misma clase.

```txt
/Public/ecma/AnP.Stores.ecma.js
```

## [[plain AnP.Stores.start]]

[[wdoc
Método object.
@name       AnP.Stores.start
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       2b1429d42af2229fd225ef67483d79d1
]]

## [[plain AnP.Stores.update]]

[[wdoc
Método object.
@name       AnP.Stores.update
@see	AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version	20220507
@access	public
@hash	a7650c3c68ede82c490103237c939d08
#custom	- optional Parámetro custom
#return	- - Retorno.
]]

## [[plain AnP.Stores.set]]

[[wdoc
Método object.
@name       AnP.Stores.set
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       b0f8ffb1886705b760c622505c7022ba
#new_data	- optional Parámetro new_data
]]

## [[plain AnP.Stores.add]]

[[wdoc
Método object.
@name       AnP.Stores.add
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       5bb9da5400a5f41dd55bc57117980cb3
#new_data	- optional Parámetro new_data
]]

## [[plain AnP.Stores.clean]]

[[wdoc
Método object.
@name       AnP.Stores.clean
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       244e002bb33d6581e7f4525c3e328d0d
]]

## [[plain AnP.Stores.reset_search]]

[[wdoc
Método object.
@name       AnP.Stores.reset_search
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       9af390ae8f850953699f641eb46b851f
#return	- - Retorno.
]]

## [[plain AnP.Stores.reset_filter]]

[[wdoc
Método object.
@name       AnP.Stores.reset_filter
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       e7fd1f145796498fa42ee14f135e24ba
#return	- - Retorno.
]]

## [[plain AnP.Stores.reset_order]]

[[wdoc
Método object.
@name       AnP.Stores.reset_order
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       1a776e58e71eac20f1676da98d549724
#return	- - Retorno.
]]

## [[plain AnP.Stores.reset_page]]

[[wdoc
Método object.
@name       AnP.Stores.reset_page
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       4c199ece9676479c1e7b6e33d89dbcca
#return	- - Retorno.
]]

## [[plain AnP.Stores.reset]]

[[wdoc
Método object.
@name       AnP.Stores.reset
@see        AnP.Stores.reset_search
@see        AnP.Stores.reset_filter
@see        AnP.Stores.reset_order
@see        AnP.Stores.reset_page
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       aab8f5ef1475f6911ebe9818d266fbb0
]]

## [[plain AnP.Stores.search]]

[[wdoc
Método object.
@name       AnP.Stores.search
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       b6283c8a47526ec43fcf97eedfbdd0f1
#new_search	- optional Parámetro new_search
]]

## [[plain AnP.Stores.build_filter]]

[[wdoc
Método object.
@name       AnP.Stores.build_filter
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       987e7990af1b13ced0e66cafe2fc7193
#filter	- optional Parámetro filter
#return	- - Retorno.
]]

## [[plain AnP.Stores.set_filter]]

[[wdoc
Método object.
@name       AnP.Stores.set_filter
@see	AnP.Stores.set_filter
@see	AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version	20220507
@access	public
@hash	5f21af1a32415fe0cef8f426b6b704a3
#new_filter	- optional Parámetro new_filter
#return	- - Retorno.
]]

## [[plain AnP.Stores.add_filter]]

[[wdoc
Método object.
@name       AnP.Stores.add_filter
@see        AnP.Stores.build_filter
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       5a766d94470e94bd6d6aee345de56bdc
#new_filter	- optional Parámetro new_filter
]]

## [[plain AnP.Stores.format_order]]

[[wdoc
Método object.
@name       AnP.Stores.format_order
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       a9d9e7238f78f326ec3ef14f72b5cf3e
#order	- optional Parámetro order
#return	- - Retorno.
]]

## [[plain AnP.Stores.set_order]]

[[wdoc
Método object.
@name       AnP.Stores.set_order
@see	AnP.Stores.set_order
@see	AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version	20220507
@access	public
@hash	3a7915ecd4c75c184463bde35563380a
#new_order	- optional Parámetro new_order
#return	- - Retorno.
]]

## [[plain AnP.Stores.add_order]]

[[wdoc
Método object.
@name       AnP.Stores.add_order
@see        AnP.Stores.format_order
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       8d8a30037abe1fa0742b617c8ae4e7b9
#new_order	- optional Parámetro new_order
]]

## [[plain AnP.Stores.set_page]]

[[wdoc
Método object.
@name       AnP.Stores.set_page
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       7c87ea4f882bf9f15663460f2fd97706
#new_page	- optional Parámetro new_page
#return	- - Retorno.
]]

## [[plain AnP.Stores.set_items_per_page]]

[[wdoc
Método object.
@name       AnP.Stores.set_items_per_page
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       40e00e423f723253af0136fde7e1cd68
#new_items_per_page	- optional Parámetro new_items_per_page
#return	- - Retorno.
]]

## [[plain AnP.Stores.construct]]

[[wdoc
Método object.
@name       AnP.Stores.construct
@see        AnP.settings_get
@see        AnP.Stores.set_filter
@see        AnP.Stores.set_order
@see        AnP.Stores.set_page
@see        AnP.Stores.set_items_per_page
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       ba33c847ee297bd6402761a7c9f07a32
]]

## [[plain AnP.Stores.get]]

[[wdoc
Método object.
@name       AnP.Stores.get
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       f925e4a5b5fc219092d83e8fe012b195
#from	- optional Parámetro from
#items	- optional Parámetro items
#custom	- optional Parámetro custom
#return	- - Retorno.
]]

## [[plain AnP.Stores.get_results]]

[[wdoc
Método object.
@name       AnP.Stores.get_results
@see        AnP.Stores.get
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       ecb7315dbf59c59275a0b519e268bf17
#custom	- optional Parámetro custom
#from	- optional Parámetro from
#items	- optional Parámetro items
#search	- optional Parámetro search
#filter	- optional Parámetro filter
#order	- optional Parámetro order
#return	- - Retorno.
]]

## [[plain AnP.Stores.set_parameters]]

[[wdoc
Método object.
@name       AnP.Stores.set_parameters
@see        AnP.Stores.set_filter
@see        AnP.Stores.set_order
@see        AnP.Stores.update
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       e4629a13ee3f175a00f37da807e96c4c
#new_search	- optional Parámetro new_search
#new_filter	- optional Parámetro new_filter
#new_order	- optional Parámetro new_order
]]

## [[plain AnP.Stores.get_results_pages]]

[[wdoc
Método object.
@name       AnP.Stores.get_results_pages
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       4ccab5d549625e2a6b08c7ba16f6a5ba
#custom_items_per_page	- optional Parámetro custom_items_per_page
#return	- - Retorno.
]]

## [[plain AnP.Stores.get_results_count]]

[[wdoc
Método object.
@name       AnP.Stores.get_results_count
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       54330328e0b96f7dafebf3e3a189b359
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Stores.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Stores.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20220425,
    "version" : 20220425,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,stores,ecma",
    "description" : "AnP.Stores.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
