[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Views.ecma.js

```txt
/Public/ecma/AnP.Views.ecma.js
```

## [[plain AnP.Views.construct]]

[[wdoc
Método object.
@name       AnP.Views.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Views.add_views]]

[[wdoc
Método object.
@name       AnP.Views.add_views
@see	AnP.is_dictionary
@see	AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	8dfa8bb9f40fe4f5f44d71f9dfa7fcab
#object	- optional Parámetro object
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
]]

## [[plain AnP.Views.add]]

[[wdoc
Método object.
@name       AnP.Views.add
@see	AnP.Views.add
@see	AnP.is_array
@see	AnP.is_bool
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	cb603eb1d7faf328a32d5c84a11445d0
#views	- optional Parámetro views
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.Views.start]]

[[wdoc
Método object.
@name       AnP.Views.start
@see        AnP.Views.add
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       7fdec23db36a90500cd60bedfd00e5ea
#callback	- optional Parámetro callback
]]

## [[plain AnP.Views.get]]

[[wdoc
Método object.
@name       AnP.Views.get
@see	AnP.is_dictionary
@see	AnP.Views.with_permissions
@see	AnP.is_array
@see	AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	859f07af427107f0d3dda77c8ad15bb1
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Views.with_permissions]]

[[wdoc
Método object.
@name       AnP.Views.with_permissions
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	1fd8fa9ffc6c2bb348bcbd0a1c29af84
#view	- optional Parámetro view
#return	- - Retorno.
]]

## [[plain AnP.Views.get_data]]

[[wdoc
Método object.
@name       AnP.Views.get_data
@see	AnP.Views.get_data
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	520d81f442992ccf7e0167da6bc44fff
#key	- optional Parámetro key
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Views.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.Views.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,views,ecma",
    "description" : "AnP.Views.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
