[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.ecma.js

```txt
/Public/ecma/AnP.ecma.js
```

## [[plain AnP.is_function]]

[[wdoc
Método object.
@name       AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6861ee78002e11c80ae7c19137ad662f
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_array]]

[[wdoc
Método object.
@name       AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       89aed1ac3215a3154c3fb70b7a2dc52f
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_object]]

[[wdoc
Método object.
@name       AnP.is_object
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       d361ed23f3e2317d01e04b7052103b06
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_dictionary]]

[[wdoc
Método object.
@name       AnP.is_dictionary
@see        AnP.is_object
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       7aadbc13f72a042a18cfb1c1621e5647
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_bool]]

[[wdoc
Método object.
@name       AnP.is_bool
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       8ded34b3be4a368b45046842b745edd3
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_string]]

[[wdoc
Método object.
@name       AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       0da01eb08f5ee6e1c42e1198d433af3d
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_html_object]]

[[wdoc
Método object.
@name       AnP.is_html_object
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       434049bbd87210cbd245f6fe26b3ed26
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.is_number]]

[[wdoc
Método object.
@name       AnP.is_number
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6d369d993cac0e7f8500137c1a2c0a8c
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.settings_get]]

[[wdoc
Método object.
@name       AnP.settings_get
@see	AnP.is_array
@see	AnP.is_bool
@see	AnP.settings_get
@see	AnP.is_dictionary
@see	AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	9c0ac7f80bfefe4f216844851773e6e1
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain AnP.json_encode]]

[[wdoc
Método object.
@name       AnP.json_encode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       861eff364bddddad8e78ce0b0616ff06
#object	- optional Parámetro object
#show_errors	- optional Parámetro show_errors
#return	- - Retorno.
]]

## [[plain AnP.json_decode]]

[[wdoc
Método object.
@name       AnP.json_decode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       cecca35fc11128572fcb315818b48b86
#json	- optional Parámetro json
#show_errors	- optional Parámetro show_errors
#return	- - Retorno.
]]

## [[plain AnP.base64_encode]]

[[wdoc
Método object.
@name       AnP.base64_encode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       428c7af4984178b92b524b34a82504a0
#string	- optional Parámetro string
#show_errors	- optional Parámetro show_errors
#return	- - Retorno.
]]

## [[plain AnP.base64_decode]]

[[wdoc
Método object.
@name       AnP.base64_decode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       10812c01d265a4909f1fddeb83cd84d5
#base64	- optional Parámetro base64
#show_errors	- optional Parámetro show_errors
#return	- - Retorno.
]]

## [[plain AnP.null_or_undefined]]

[[wdoc
Método object.
@name       AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       5cb7ea6d2a7561b205bfe573fff8b2bd
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.get_variable]]

[[wdoc
Método object.
@name       AnP.get_variable
@see	AnP.is_array
@see	AnP.is_bool
@see	AnP.settings_get
@see	AnP.is_dictionary
@see	AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	303af23a4183e4489c97b2afbba0736e
#names	- optional Parámetro names
#variables	- optional Parámetro variables
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain AnP.string_variables]]

[[wdoc
Método object.
@name       AnP.string_variables
@see	AnP.is_dictionary
@see	AnP.is_array
@see	AnP.is_string
@see	AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	9dfe91fa29e7de47e8024243e4e02cdf
#string	- optional Parámetro string
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
]]

## [[plain AnP.construct]]

[[wdoc
Método object.
@name       AnP.construct
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	private
@hash	e3ae46f49688623e8a7b9129cbc510a2
]]

## [[plain AnP.start_settings]]

[[wdoc
Método object.
@name       AnP.start_settings
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	da86de89fcddb10237f3657f8d258550
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.start_i18n]]

[[wdoc
Método object.
@name       AnP.start_i18n
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	f0df158323de4cb28b28cdef8637b478
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.hash]]

[[wdoc
Método object.
@name       AnP.hash
@see	AnP.settings_get
@see	AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	ddad8e2027459deb98e12f13cb58a75b
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.extends]]

[[wdoc
Método object.
@name       AnP.extends
@see	AnP.is_function
@see	AnP.is_object
@see	AnP.is_bool
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	public
@hash	a1dfa9deaceaa68100aa516baddf4453
#object	- optional Parámetro object
#overwrite	- optional Parámetro overwrite
#return	- - Retorno.
]]

## [[plain AnP.start]]

[[wdoc
Método object.
@name       AnP.start
@see	AnP.start
@see	AnP.start_go
@see	AnP.launch
@see	AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	public
@hash	eff0b232fc5b3845d6e3b684d8bde4e5
#callback	- optional Parámetro callback
]]

## [[plain AnP.string_to_re]]

[[wdoc
Método object.
@name       AnP.string_to_re
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       2cbb090f1ae4ae960af1c9027d861133
#string	- optional Parámetro string
#return	- - Retorno.
]]

## [[plain AnP.get_globals]]

[[wdoc
Método object.
@name       AnP.get_globals
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       5d5fd4ece75a6e755f09521dc7dd81c5
#names	- optional Parámetro names
#return	- - Retorno.
]]

## [[plain AnP.set_globals]]

[[wdoc
Método object.
@name       AnP.set_globals
@see	AnP.string_variables
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220426
@access	public
@hash	50e5b3697f47440d73b02e19cd041d09
#string	- optional Parámetro string
#variables	- optional Parámetro variables
#return	- - Retorno.
]]

## [[plain AnP.remove_globals]]

[[wdoc
Método object.
@name       AnP.remove_globals
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c5e1c15225dfb44732364c7253fc57dc
#name	- optional Parámetro name
]]

## [[plain AnP.go]]

[[wdoc
Método object.
@name       AnP.go
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       cc5b920e1333e93b332949287805f0ce
#url	- optional Parámetro url
#return	- - Retorno.
]]

## [[plain AnP.html_to_text]]

[[wdoc
Método object.
@name       AnP.html_to_text
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       5b7884e1342598aeecf9c422e9e90564
#html	- optional Parámetro html
#return	- - Retorno.
]]

## [[plain AnP.toast]]

[[wdoc
Método object.
@name       AnP.toast
@see	AnP.is_array
@see	AnP.i18n_get
@see	AnP.html_to_text
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	dc2373e81db1e56ae9dc75ae432acf58
#type	- optional Parámetro type
#sentence	- optional Parámetro sentence
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
]]

## [[plain AnP.with_toasts]]

[[wdoc
Método object.
@name       AnP.with_toasts
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       04819519d99b0b9919f173ba265b7000
#return	- - Retorno.
]]

## [[plain AnP.download]]

[[wdoc
Método object.
@name       AnP.download
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	eb7ee7b9b6e35ee5141c12cca8361f5d
#data	- optional Parámetro data
#type	- optional Parámetro type
#name	- optional Parámetro name
]]

## [[plain AnP.utf8_encode]]

[[wdoc
Método object.
@name       AnP.utf8_encode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       790e30a79a4ef7bfff15c81f39b47e8e
#string	- optional Parámetro string
#return	- - Retorno.
]]

## [[plain AnP.utf8_decode]]

[[wdoc
Método object.
@name       AnP.utf8_decode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       e8caada331645e3625625b921d19833f
#string	- optional Parámetro string
#return	- - Retorno.
]]

## [[plain AnP.next_z_index]]

[[wdoc
Método object.
@name       AnP.next_z_index
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       bb5e6c02f8f0d7681f34e4bc79ac6c59
#return	- - Retorno.
]]

## [[plain AnP.remove_was_back]]

[[wdoc
Método object.
@name       AnP.remove_was_back
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       8b1ca80c9c148a0e0b1f9e71ac9675cc
#return	- - Retorno.
]]

## [[plain AnP.was_back]]

[[wdoc
Método object.
@name       AnP.was_back
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       52b6d94032d0e8e1e68deafd5b336d72
#return	- - Retorno.
]]

## [[plain AnP.back]]

[[wdoc
Método object.
@name       AnP.back
@see        AnP.back
@see        AnP.is_string
@see        AnP.go
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c3c011d24875a44961d06adaa59eb2c8
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.has_permissions]]

[[wdoc
Método object.
@name       AnP.has_permissions
@see        AnP.has_permissions
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       b7d844df9936ffcca24168bc8e6414c9
#permissions	- optional Parámetro permissions
#reject	- optional Parámetro reject
#return	- - Retorno.
]]

## [[plain AnP.cookie_set]]

[[wdoc
Método object.
@name       AnP.cookie_set
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       43904286240fc767c0294bb0d9e3c0da
#name	- optional Parámetro name
#value	- optional Parámetro value
#expire	- optional Parámetro expire
#path	- optional Parámetro path
#return	- - Retorno.
]]

## [[plain AnP.cookie_get]]

[[wdoc
Método object.
@name       AnP.cookie_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       4ce1a5e5787c883216684ce2a756fd9b
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.cookie_delete]]

[[wdoc
Método object.
@name       AnP.cookie_delete
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       62bf48f3ef3bbdd5030e777fe6f92c70
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.alert]]

[[wdoc
Método object.
@name       AnP.alert
@see	AnP.alert
@see	AnP.i18n_get
@see	AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	542a6cf90053631703a15afb02d757f7
#text	- optional Parámetro text
#callback	- optional Parámetro callback
]]

## [[plain AnP.confirm]]

[[wdoc
Método object.
@name       AnP.confirm
@see	AnP.confirm
@see	AnP.i18n_get
@see	AnP.is_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	1817583a52ba462ae139e1d7f9f81780
#text	- optional Parámetro text
#accept	- optional Parámetro accept
#reject	- optional Parámetro reject
]]

## [[plain AnP.prompt]]

[[wdoc
Método object.
@name       AnP.prompt
@see	AnP.is_function
@see	AnP.prompt
@see	AnP.i18n_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	5c2377d900a2a48cbf8efa22aa23c5ab
#text	- optional Parámetro text
#callback	- optional Parámetro callback
]]

## [[plain AnP.to_html]]

[[wdoc
Método object.
@name       AnP.to_html
@see        AnP.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c3ec49a024f0c6e5a82e9e01771b8083
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.to_date]]

[[wdoc
Método object.
@name       AnP.to_date
@see        AnP.null_or_undefined
@see        AnP.is_number
@see        AnP.is_string
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       98cea8d490fd97bbb0f52a2e4b405cfb
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.date_format]]

[[wdoc
Método object.
@name       AnP.date_format
@see        AnP.to_date
@see        AnP.string_variables
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       42bae85ebb65be0c8dc6e5e164d03194
#date	- optional Parámetro date
#format	- optional Parámetro format
#return	- - Retorno.
]]

## [[plain AnP.set_cache]]

[[wdoc
Método object.
@name       AnP.set_cache
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       603ad4d1e003a2f43da7dafaea0636dc
#name	- optional Parámetro name
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain AnP.get_cache]]

[[wdoc
Método object.
@name       AnP.get_cache
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       2f2647db16b0b953d5f7b1ccf89ca6ed
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain AnP.initiate]]

[[wdoc
Método object.
@name       AnP.initiate
@see        AnP.is_function
@see        AnP.initiate
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       21e091529b5fc79209b0cbc3ef57449a
#object	- optional Parámetro object
#items	- optional Parámetro items
#callback	- optional Parámetro callback
#i	- optional Parámetro i
]]

## [[plain AnP.launch]]

[[wdoc
Método object.
@name       AnP.launch
@see        AnP.is_object
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       f20e3cef14fb9e3412f4fd4a4b85fa26
#object	- optional Parámetro object
#items	- optional Parámetro items
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain AnP.i18n_get]]

[[wdoc
Método object.
@name       AnP.i18n_get
@see        AnP.string_variables
@see        AnP.null_or_undefined
@see        AnP.is_array
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       14603b18b0519874e4801c6c717e143a
#names	- optional Parámetro names
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
#return	- - Retorno.
]]

## [[plain AnP.load_local_file]]

[[wdoc
Método object.
@name       AnP.load_local_file
@see        AnP.load_local_file
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     private
@hash       57301a4ad79a2f892f593668e3ab59bd
#files	- optional Parámetro files
#callback	- optional Parámetro callback
#results	- optional Parámetro results
#i	- optional Parámetro i
]]

## [[plain AnP.open_local_files]]

[[wdoc
Método object.
@name       AnP.open_local_files
@see        AnP.is_function
@see        AnP.is_object
@see        AnP.load_local_file
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       9c03867f72839dd9c5b8c04864d55941
#input	- optional Parámetro input
#callback	- optional Parámetro callback
]]

## [[plain AnP.get_uri_data]]

[[wdoc
Método object.
@name       AnP.get_uri_data
@see        AnP.base64_decode
@see        AnP.utf8_decode
@lang       ECMAScript
@author     KyMAN
@since      20220425
@version    20220425
@access     public
@hash       285d8266d2dde74cd0bb500a2b418303
#data	- optional Parámetro data
#return	- - Retorno.
]]

## [[plain AnP.start_go]]

[[wdoc
Método object.
@name       AnP.start_go
@see        AnP.start_go
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     private
@hash       319f6b766ed9591e06b55fe30516378e
#return	- - Retorno.
]]

## [[plain AnP.set_global]]

[[wdoc
Método object.
@name       AnP.set_global
@see        AnP.is_bool
@see        AnP.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20220506
@version    20220506
@access     public
@hash       db4802983817da859fc24f0fb4acdcd9
#name	- optional Parámetro name
#value	- optional Parámetro value
#overwrite	- optional Parámetro overwrite
]]

[[html_data {
    "title" : "AnP.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/AnP.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,cma",
    "description" : "AnP.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
