[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.Calendars.ecma.js

```txt
/Public/ecma/comp/AnP.Components.Calendars.ecma.js
```

## [[plain AnP.Components.Calendars.construct]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Components.Calendars.get_box]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.get_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       f7c775e313b0886acba489703c597b6d
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.get]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	e42d073b378836d0eed5a2b31d89b31a
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.click_out]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.click_out
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       141e958ed0586779cb365f8cb2c11cfc
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.set_input]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.set_input
@see	AnP.date_format
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	c6641006bec6059ccdaa5f26c52854d0
#input	- optional Parámetro input
#date	- optional Parámetro date
]]

## [[plain AnP.Components.Calendars.set_day]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.set_day
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       92107871f3a15f1fa6f09c7aa3453afb
#box	- optional Parámetro box
#day	- optional Parámetro day
]]

## [[plain AnP.Components.Calendars.get_month_days]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.get_month_days
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       596b7cf979f4993914c5c1f30aea0a51
#year	- optional Parámetro year
#month	- optional Parámetro month
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.update]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.update
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.get_month_days
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       ee610e08340ae32b265c26242a88849f
#item	- optional Parámetro item
]]

## [[plain AnP.Components.Calendars.set_box]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.set_box
@see        AnP.Components.Calendars.set_day
@see        AnP.Components.Calendars.update
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       ea40b69d2b4b71934b0684bb9e45b7f5
#box	- optional Parámetro box
#date	- optional Parámetro date
]]

## [[plain AnP.Components.Calendars.thread_method]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.thread_method
@see        AnP.Components.Calendars.get
@see        AnP.string_to_re
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       0c3168fdddde938f1bef80e26d50fe3d
]]

## [[plain AnP.Components.Calendars.start]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.start
@see	AnP.is_function
@see	AnP.Components.Calendars.click_out
@see	AnP.Components.Calendars.thread_method
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	67c203e7454e2953b8c064e31e332641
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Calendars.selector]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e397a9b0bf78d23e22685d10e6fbf9af
#name	- optional Parámetro name
#options	- optional Parámetro options
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.date_item]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.date_item
@see        AnP.Components.Calendars.selector
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       a48990a25f6e3fc5d66c8edf7d03c90c
#name	- optional Parámetro name
#options	- optional Parámetro options
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.show]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.show
@see	AnP.Components.Calendars.get
@see	AnP.hash
@see	AnP.i18n_get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	fc6251c345600bf6769ee4a2baa6e3d8
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.clean]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.clean
@see	AnP.Components.Calendars.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	352bada6d4ab4d74f1438c117654574e
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.create]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.create
@see	AnP.is_dictionary
@see	AnP.hash
@see	AnP.i18n_get
@see	AnP.settings_get
@see	AnP.Components.Calendars.show
@see	AnP.Components.Calendars.clean
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	77fabbc6f56babeaa20ffb790c962338
#input	- optional Parámetro input
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Calendars.update_date]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.update_date
@see        AnP.Components.Calendars.set_input
@see        AnP.Components.Calendars.get_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       670aa36b9a3b615e6730ec55d0666022
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.year_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.year_change
@see        AnP.Components.Calendars.update
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       7458a0a44d222c495d8bceb21e618761
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.month_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.month_change
@see        AnP.Components.Calendars.update
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       7458a0a44d222c495d8bceb21e618761
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.day_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.day_change
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.set_day
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       cc96c97b7ecba695de54c0702ea0a9a3
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.hour_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.hour_change
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       08067a0ab459326e3f209574d1a214e5
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.minute_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.minute_change
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       08067a0ab459326e3f209574d1a214e5
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.second_change]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.second_change
@see        AnP.Components.Calendars.update_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       08067a0ab459326e3f209574d1a214e5
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Calendars.year_previous]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.year_previous
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.year_change
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       858d4b6508c1e067a726c73657de4bc3
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.year_next]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.year_next
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.year_change
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       e59436057fee716172a6d88879a3ac55
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.month_previous]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.month_previous
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.year_previous
@see        AnP.Components.Calendars.month_change
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       66a24ed3cbcbc37d857b9aea2adb4642
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.month_next]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.month_next
@see        AnP.Components.Calendars.get_box
@see        AnP.Components.Calendars.year_next
@see        AnP.Components.Calendars.month_change
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       3acfde5413068002311af532a3b3ac25
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Calendars.set]]

[[wdoc
Método object.
@name       AnP.Components.Calendars.set
@see	AnP.Components.Calendars.get
@see	AnP.Components.Calendars.set_input
@see	AnP.to_date
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	285da673c53015be7c18d8d8c5b7981b
#item	- optional Parámetro item
#value	- optional Parámetro value
]]

[[html_data {
    "title" : "AnP.Components.Calendars.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/comp/AnP.Components.Calendars.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,calendars,ecma",
    "description" : "AnP.Components.Calendars.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
