[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.Files.ecma.js

```txt
/Public/ecma/comp/AnP.Components.Files.ecma.js
```

## [[plain AnP.Components.Files.construct]]

[[wdoc
Método object.
@name       AnP.Components.Files.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Components.Files.thread_function]]

[[wdoc
Método object.
@name       AnP.Components.Files.thread_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       42d62819d7e94c864193fc06e22fb737
]]

## [[plain AnP.Components.Files.start]]

[[wdoc
Método object.
@name       AnP.Components.Files.start
@see	AnP.is_function
@see	AnP.Components.Files.thread_function
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	d3664f3736df45bc55d0cac7a92a64f5
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Files.select]]

[[wdoc
Método object.
@name       AnP.Components.Files.select
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       f31996e3ecdc5ac39b4331751b8fe43d
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.field]]

[[wdoc
Método object.
@name       AnP.Components.Files.field
@see	AnP.i18n_get
@see	AnP.Components.Files.field
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	b8ba0c73a282708dc7bf813721d6615d
#name	- optional Parámetro name
#html	- optional Parámetro html
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.draw_size]]

[[wdoc
Método object.
@name       AnP.Components.Files.draw_size
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       597bfb7d3cb7b4a5ee21d7816f2d42da
#size	- optional Parámetro size
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.add]]

[[wdoc
Método object.
@name       AnP.Components.Files.add
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	fcf6e1acfedfef900be1e8efddb48935
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.get_module]]

[[wdoc
Método object.
@name       AnP.Components.Files.get_module
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c02fa21ead94d9a057f84c5161b3b205
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.create]]

[[wdoc
Método object.
@name       AnP.Components.Files.create
@see	AnP.is_object
@see	AnP.Components.Files.add
@see	AnP.Components.Files.select
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	c5bd78a411b883fc3159dbcb445fcf80
#input	- optional Parámetro input
]]

## [[plain AnP.Components.Files.get_item]]

[[wdoc
Método object.
@name       AnP.Components.Files.get_item
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       d4eda700b7eed888f71aeec4e4d6594e
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.download]]

[[wdoc
Método object.
@name       AnP.Components.Files.download
@see        AnP.download
@see        AnP.Components.Files.get_module
@see        AnP.Components.Files.get_item
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       ea70bc55549e98e8b3cedf46af5e6d87
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.remove]]

[[wdoc
Método object.
@name       AnP.Components.Files.remove
@see        AnP.Components.Files.get_module
@see        AnP.Components.Files.get_item
@see        AnP.Components.Files.remove
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6774dd1d95fb828e3a2a17bc6c19bac0
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Files.remove_select]]

[[wdoc
Método object.
@name       AnP.Components.Files.remove_select
@see        AnP.Components.Files.get_module
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       a10d50d3e8bf548d285812dd97bf0921
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Files.get]]

[[wdoc
Método object.
@name       AnP.Components.Files.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       1df3ad95dae818d7e40c43cba9062d1c
#item	- optional Parámetro item
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Components.Files.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/comp/AnP.Components.Files.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,files,ecma",
    "description" : "AnP.Components.Files.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
