[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.Forms.ecma.js

```txt
/Public/ecma/comp/AnP.Components.Forms.ecma.js
```

## [[plain AnP.Components.Forms.construct]]

[[wdoc
Método object.
@name       AnP.Components.Forms.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Components.Forms.start]]

[[wdoc
Método object.
@name       AnP.Components.Forms.start
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	2524a0a9b994656984b2a633ccd2af69
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Forms.structure]]

[[wdoc
Método object.
@name       AnP.Components.Forms.structure
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.i18n_get
@see	AnP.hash
@see	AnP.is_function
@see	AnP.Components.Forms.structure
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	040db7a44534ce4d449d5b2cc5e5361b
#structure	- optional Parámetro structure
]]

## [[plain AnP.Components.Forms.create]]

[[wdoc
Método object.
@name       AnP.Components.Forms.create
@see	AnP.hash
@see	AnP.is_array
@see	AnP.is_function
@see	AnP.is_string
@see	AnP.set_globals
@see	AnP.is_dictionary
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	4d75c812b906f4b56644544c18f112e5
#input	- optional Parámetro input
]]

## [[plain AnP.Components.Forms.get]]

[[wdoc
Método object.
@name       AnP.Components.Forms.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       73f946e1cbbdc0735e88fdf361dcfd66
#form	- optional Parámetro form
#return	- - Retorno.
]]

## [[plain AnP.Components.Forms.get_values]]

[[wdoc
Método object.
@name       AnP.Components.Forms.get_values
@see	AnP.Components.Forms.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	69e7234a792f20cd8c3bee3b54348fdf
#form	- optional Parámetro form
]]

## [[plain AnP.Components.Forms.submit]]

[[wdoc
Método object.
@name       AnP.Components.Forms.submit
@see        AnP.Components.Forms.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       b33ad20960e19a1788ec762652b34e80
#form	- optional Parámetro form
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Forms.set]]

[[wdoc
Método object.
@name       AnP.Components.Forms.set
@see        AnP.is_dictionary
@see        AnP.Components.Forms.get
@see        AnP.Components.Forms.set
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       c6c67dc0b33422245a68caf2675e105a
#form	- optional Parámetro form
#data	- optional Parámetro data
]]

## [[plain AnP.Components.Forms.fill_components]]

[[wdoc
Método object.
@name       AnP.Components.Forms.fill_components
@see	AnP.Components.Forms.get
@see	AnP.i18n_get
@see	AnP.is_array
@see	AnP.Components.Forms.set
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	e80331b9c7bfeffd7c4b0b6d907a81cd
#form	- optional Parámetro form
#data	- optional Parámetro data
]]

[[html_data {
    "title" : "AnP.Components.Forms.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/comp/AnP.Components.Forms.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,forms,ecma",
    "description" : "AnP.Components.Forms.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
