[[post_data {
    "author" : "KyMAN",
    "since" : 20210727,
    "version" : 20210727
}]]
# AnP.I18N.py

Esta librería es la encargada de gestionar los idiomas dentro del AnP y las aplicaciones que se
extiendan del mismo.

## AnP.I18N.default

[[wdoc
Método que retorna un texto por defecto.
@name       AnP.I18N.default
@lang       Python
@author     KyMAN
@see        AnP.is_bool
@see        AnP.Settings.get
@since      20210727
@version    20210727
@access     public
#default    -       optional    Valor por defecto.
#nulls      bool    optional    Verifica si se admiten valores nulos o no.
#return     -       -           Texto por defecto.
]]

## AnP.I18N.get

[[wdoc
Método que retorna un texto a partir del nombre de identificación del mismo.
@name       AnP.I18N.get
@lang       Python
@author     KyMAN
@see        AnP.is_bool
@see        AnP.is_array
@see        AnP.is_dictionary
@since      20210727
@version    20210727
@access     public
#names      str,list,tuple  required    Nombre o nombres del texto.
#variables  dict,list,tuple optional    Variables a aplicar en el texto.
#default    -               optional    Valor por defecto.
#nulls      bool            optional    Verifica si se admiten valores nulos o no.
#return     -               -           Texto tratado.
]]

## AnP.I18N.add

[[wdoc
Método que añade nuevos textos y traducciones.
@name       AnP.I18N.add
@lang       Python
@author     KyMAN
@see        AnP.is_bool
@see        AnP.Settings.get
@see        AnP.is_array
@see        AnP.is_dictionary
@see        AnP.I18N.add
@see        AnP.json_decode
@see        AnP.file_load
@since      20210727
@version    20210727
@access     public
#inputs     dict,list,tuple required    Diccionario de textos a añadir.
#overwrite  bool            optional    Verifica si se permite la sobreescritura o no.
]]

## AnP.I18N.change

[[wdoc
Método que cambia el idioma seleccionado actualmente.
@name       AnP.I18N.default
@lang       Python
@author     KyMAN
@since      20210727
@version    20210727
@access     public
#language   name    required    Idioma a seleccionar.
]]

[[html_data {
    "title" : "Documentación - AnP.py",
    "url" : "https://anp.k3y.pw/es/py/anp.py.html",
    "author" : "Tarsier, angelus, inoro, KyMAN",
    "since" : 20210727,
    "version" : 20210727,
    "key_words" : "anp,attach,play,attach&play,documentación,python,anp.py",
    "description" : "Documentación del fichero AnP.py.",
    "project" : "AnP",
    "logo" : "https://anp.k3y.pw/images/anp.png",
    "language" : "es"
}]]
